<?php
include "inc.php";
Security::check('admin');

$templateFile = $_GET['templateEdit'];
$getFolder = $_GET['folder'];

if(!$getFolder) { $getFolder = '/'; }
if($_POST['folder']) { $getFolder = $_POST['folder']; }

$filePath = Template::$dir. Template::$name . $getFolder;

$createFolder = $_GET['createFolder'];
if($createFolder) { EMS::createFolder($createFolder); }

if(!Options::$option_array['abs_path_folder_image']['value']) { Options::$option_array['abs_path_folder_image']['value'] = ROOT; }
if(!Options::$option_array['folder_image_url']['value']) { Options::$option_array['folder_image_url']['value'] = EMS::domain(); }
if(!Options::$option_array['abs_path_folder_thumb']['value']) { Options::$option_array['abs_path_folder_thumb']['value'] = ROOT; }
if(!Options::$option_array['folder_thumb_url']['value']) { Options::$option_array['folder_thumb_url']['value'] = EMS::domain(); }

if($_POST) {
$sub = $_POST['sub'];
if(Options::$option['demo'] == 1) { EMS::alert('success','Demo version, no settings have been changed.','settings.php?sub='.$sub); return; }
Template::$name = $_POST['template'];
$templateContents = $_POST['templateContents'];
$adminLogin = $_POST['admin'];

// change admin login credentials
if($adminLogin) {
	if(Security::check_password($adminLogin['current_pass'])) {
		if($adminLogin['user']) {
			MYSQL_QUERY("UPDATE ip_admin SET user = '".EMS::e($adminLogin['user'])."'");
		}
		if($adminLogin['pass'] && $adminLogin['cpass']) {
			if($adminLogin['pass'] != $adminLogin['cpass']) { 
					EMS::alert('error','Passwords do not match'); 
				} else {
					MYSQL_QUERY("UPDATE ip_admin SET pass = '".EMS::e($adminLogin['pass'])."'");
					EMS::alert('success','Admin login info changed successfully');
				}
		}
	} 
}

// Fields
$fieldName = $_POST['field_name'];
if($fieldName) {
	
	foreach($fieldName as $id => $name) {
		if($id == 0) {
			if($name) {
				$count = Database::sql_total('fields','WHERE namespace = "'.EMS::clean_url($name).'"','field_id'); 
					if($count == 0) { 
						MYSQL_QUERY("INSERT INTO ip_fields(field_name,field_namespace) VALUES('".EMS::e($name)."','".EMS::clean_url($name)."')"); 
					} else {
						EMS::alert('error','Field already exists','settings.php?sub='.$sub);
					} 
			}
		} else {
			MYSQL_QUERY("UPDATE ip_fields SET field_name = '".EMS::e($name)."', field_namespace = '".EMS::clean_url($name)."' WHERE field_id = '$id'");
		}
	}
}
$fieldRemove = $_POST['field_remove'];
if($fieldRemove) { 
	foreach($fieldRemove as $removeID) { 
		$getNamespace = MYSQL_QUERY("SELECT field_namespace FROM ip_fields WHERE field_id = '$removeID'"); 
			while($f = MYSQL_FETCH_ARRAY($getNamespace)) { 
				$fieldNamespace = $f['field_namespace']; 
			}
		MYSQL_QUERY("DELETE FROM ip_fields WHERE field_id = '$removeID'"); 
		MYSQL_QUERY("DELETE FROM ip_fields_values WHERE field_name = '$fieldNamespace'"); 
	} 
}


if($_POST['update']) {
// templates
if($templateContents) { 
foreach($templateContents as $templateFilename => $htmlContent) { 
$htmlContent = stripslashes($htmlContent); 
$mode = "0777";
if(!is_writable($filePath.$templateFilename)) { chmod($filePath.$templateFilename, octdec($mode)); }
	if(is_writable($filePath.$templateFilename)) { 
		$templateHandle = fopen($filePath.$templateFilename,'w'); 
		fwrite($templateHandle,$htmlContent); 
		fclose($templateHandle); 
	} else {
		EMS::alert('error',$templateFilename . ' is not writable','settings.php?sub='.$sub);
	}
} 
$template_save = true;
EMS::alert('success','Template updated','settings.php?sub='.$sub); 
}
if(Template::$name) {
	MYSQL_QUERY("UPDATE ip_template SET `name` = '".Template::$name."' WHERE active = 1");
}

// general settings
if($_POST['settings']) {
foreach($_POST['settings'] as $name => $value) { 
$value = mysql_real_escape_string($value);
MYSQL_QUERY("UPDATE ip_options SET val = '$value' WHERE namespace = '$name'"); 
}
$uploadType = $_POST['upload'];
MYSQL_QUERY("UPDATE ip_options SET val = '$uploadType' WHERE namespace = 'upload_type'");
}

if($_POST['settingsCode']) {
foreach($_POST['settingsCode'] as $name => $value) { 
$value = mysql_real_escape_string($value);
MYSQL_QUERY("UPDATE ip_options SET code = '$value' WHERE namespace = '$name'"); 
}
}

if(!$error && !$template_save) { EMS::alert('success',"Settings updated"); Options::init(); }
}//end post update button only
}//end post

include "header-common.php";
include "header.php";
?>

<div id="wrapper">
<form method="POST" action="settings.php" id="">
<input type="hidden" name="sub" value="<?php echo $sub?>" />

<?php if($sub == 'admin') { ?>
<div class="setting">
<div class="name"><b>Admin Username</b></div><div class="input"><i><input type="text" value="<?php echo $_SESSION['admin_user']?>" name="admin[user]" autocomplete="off" /></i></div>
</div>
<div class="setting">
<div class="name"><h3>Change Password</h3></div>
</div>
<div class="setting">
<div class="name"><b>Current Password</b></div><div class="input"><i><input type="password" value="" name="admin[current_pass]" / autocomplete="off"></i></div></div>
<div class="setting">
<div class="name"><b>New Password</b></div><div class="input"><input value="" type="password" name="admin[pass]" /></div>
</div>
<div class="setting">
<div class="name"><b>Confirm New Password</b></div><div class="input"><input value="" type="password" name="admin[cpass]" /></div>
</div>
<div class="setting">
	<div class="name"><b>Default Media Page</b></div>
	<div class="input">
	<select name="settings[default_media_page]">
	<option value="image">Images</option>
	<option value="video"<?php if(Options::$option['default_media_page'] == 'video') { echo " selected"; }?>>Videos</option>
	<option value="flash"<?php if(Options::$option['default_media_page'] == 'flash') { echo " selected"; }?>>Flash</option>
	</select>
	</div>
</div>
<?php } ?>
<?php if($sub == 'cpalead') { ?>
<div class="setting">
<div class="name"><b>Postback URL</b></div><div class="input"><input value="<?php echo EMS::domain()?>ip-postback.php"  onclick="this.select()" readonly /></div>
</div>
<?php } ?>
<?php if($sub == 'users') { ?>
<div class="setting">
	<div class="name"><b>Upload Settings</b></div>
	<div class="input">
	<select name="upload">
	<option value="0">HTML Single Upload</option>
	<option value="1"<?php if(Options::$option['upload_type'] == 1) { echo " selected"; }?>>Flash Multi Upload</option>
	</select>
	</div>
</div>
<div class="setting">
<div class="name"><b>Login Method</b></div><div class="input"><label><input type="radio" name="settings[login_method]" value="public" <?php if(Options::$option['login_method'] == 'public') { echo 'checked'; }?> /> EMS Community </label> <label><input type="radio" name="settings[login_method]" value="private" <?php if(Options::$option['login_method'] == 'private') { echo 'checked'; }?> /> Private</label></div>
</div>

<?php } ?>
<?php if($sub == 'site') { ?>

<div class="setting">
<div class="name"><b>Template</b></div>
<div class="input">
<select name="template" id="templateSelect">
<?php
	$dh  = opendir(Template::$dir);
	while ($folder = readdir($dh)) {
		if(is_dir(Template::$dir.$folder) && EMS::cleanFolder($folder)){ ?>
		<option value="<?php echo $folder?>" <?php if($folder == Template::$name) { echo "selected"; } ?>><?php echo $folder?></option>
<?php	} } ?>
</select>
   <button type="button" id="previewTemplate">Preview</button>
</div>
</div>

<div class="setting">
	<div class="name"><b>Default Page</b></div>
	<div class="input">
	<select name="settings[default_page]">
	<option value="index">Featured Page</option>
	<option value="browse"<?php if(Options::$option['default_page'] == 'browse') { echo " selected"; }?>>Latest/Browse Page</option>
	</select>
	</div>
</div>


<div class="setting">
<div class="name"><b>Worksafe default</b></div>
<div class="input">
	<select name="settings[worksafe_default]"><option value="0">Worksafe</option><option value="1" <?php if(Options::$option['worksafe_default'] == 1) { echo "selected"; } ?>>Not work safe</option></select>
</div>
</div>


<div class="setting">
<div class="name"><b>Autopost Username</b></div>
<div class="input">
<input type="text" name="settings[autopost_username]" value="<?php echo Options::$option['autopost_username']?>" autocomplete="off" />
</div>
</div>


<div class="setting">
<div class="name"><b>Autopost Password</b></div>
<div class="input">
<input name="settings[autopost_password]" type="password" value="<?php echo Options::$option['autopost_password']?>" autocomplete="off" />
</div>
</div>

<?php } ?>

<input type="hidden" id="domainValue" value="<?php echo EMS::domain();?>" />
<input type="hidden" id="rootValue" value="<?php echo ROOT?>" />

<?php
foreach(Options::$option_array as $id => $value) {
if(Options::$option_array[$id]['page'] == $sub) { 
if((Options::$option['abs_path'] > 0 && $id != 'folder_image' && $id != 'folder_thumb') || (Options::$option['abs_path'] == 0 && $id != 'abs_path_folder_image' && $id != 'abs_path_folder_thumb' && $id != 'folder_image_url' && $id != 'folder_thumb_url')) {
?>
<div class="setting">
<div class="name" id="option_<?php echo $id?>"><b><?php echo Options::$option_array[$id]['name']?> <!--<?php if(Options::$option_array[$id]['description']) { EMS::help(Options::$option_array[$id]['description']); } ?>--></b></div>
<div class="input">
<?php if(Options::$option_array[$id]['is_code']) { ?><textarea name="settingsCode[<?php echo $id?>]"><?php echo Options::$option_array[$id]['value']?></textarea><?php } ?>
<?php if(Options::$option_array[$id]['bool']) { ?>
<div class="radioOption">
	<label><input type="radio" class="radio" name="settings[<?php echo $id?>]" value="1" <?php if(Options::$option_array[$id]['value'] == 1) echo "checked";?>><i>On</i></label>
	<label><input type="radio" class="radio" name="settings[<?php echo $id?>]" value="0" <?php if(Options::$option_array[$id]['value'] == 0) echo "checked";?>><i>Off</i></label>
</div>
<?php } ?>
<?php if(!Options::$option_array[$id]['bool'] && !Options::$option_array[$id]['is_code']){ ?><input type="text" name="settings[<?php echo $id?>]" value="<?php echo Options::$option_array[$id]['value']?>" <?php if(!Options::$option_array[$id]['is_int']) { echo 'class="txt"'; } else { echo 'size="2"'; } ?>><?php } ?>
<?php if(Options::$option['abs_path'] == 0) {if($id == 'folder_image' || $id == 'folder_thumb') { echo checkFolder(Options::$option_array[$id]['value']); } } ?>
<?php if(Options::$option['abs_path'] > 0) { if($id == 'abs_path_folder_image' || $id == 'abs_path_folder_thumb') { echo checkFolder(Options::$option_array[$id]['value']); 
//echo '&nbsp;<input type="button" value="default" class="rootFolder" />'; 
} }?>
</div>
</div>
<?php
}
} }

if($sub == 'template') {
if(is_dir($filePath)) {
$dth  = opendir($filePath);
while ($tFile = readdir($dth)) { if(is_dir($filePath.$tFile)  && !EMS::start('.',$tFile)) { $folderList[] = $tFile; } 

	if(!is_dir($filePath.$tFile) && !EMS::start('.',$tFile)) { 
		if(EMS::find('.css',$tFile) || EMS::find('.php',$tFile) || EMS::find('.js',$tFile)){ $fileList[] = $tFile; }
	}
}
if($fileList) { sort($fileList); }
}  
if(!$templateFile) { $templateFile = $fileList[0]; }
?>
<div id="code">
<input type="hidden" name="folder" value="<?php echo $getFolder?>" />
	<div id="codeEdit">
	<?php $templateFileDir = Template::$dir . Template::$name . $getFolder . $templateFile; ?>
	<strong>Template: <?php echo Template::$name?></strong>
	<p>Editing <?php echo $getFolder.$templateFile?></p>
	<textarea name="templateContents[<?php echo $templateFile?>]"><?php $handle = fopen($templateFileDir,'r'); $contents = fread($handle,filesize($templateFileDir)); echo htmlspecialchars($contents);?></textarea>
	</div>
	
<div id="codeList">
<?php if($getFolder != '/') { ?>
<span><a href="?sub=template&folder=/"><strong>&laquo; back</strong></a></span>
<?php } ?>
<?php
if($folderList) {
foreach($folderList as $folderName) {
?>
<span><a href="?sub=template&folder=<?php echo $getFolder . $folderName?>/"><strong>/<?php echo $folderName?></strong></a></span>
<?php } } ?>

<?php
if($fileList) {
foreach($fileList as $fID => $fileName) {
?>
<span><?php if($fileName != $templateFile) { ?><a href="?sub=template&templateEdit=<?php echo $fileName?>&folder=<?php echo $getFolder?>"><?php } else { ?><strong><?php } ?><?php echo $fileName?></a></strong></span>
<?php } ?>
</div>
</div>
<?php } }?>

</div>
</div>
<div class="clear"></div>

<?php include "footer.php"; ?>