<?php
class Autopost {

	public static $error;
	public static $success;

	public function sites($id = false) {
	
		$results = array();
		$results['all'] = array();

		if($id > 0) {
			$array = Database::sql_array('autopost_login','WHERE id = "'.$id.'" ');
			if($array) {
				foreach($array as $details) {
					$results['form'][$details['namespace']] = $details['val'];
				}
				$l = $results['form'];
				//if($l['oauth_token'] && $l['oauth_token_secret']) { unset($results['form']['oauth']); }
			}
		}
	
		$directory = ROOT . 'ip-inc/plugins/autopost/';
				
		$includeArray = getDirectoryList($directory);
		
		$c = 1;
		foreach($includeArray as $includeFile) { 
				$requirements = array();
				if(preg_match('#(.*?).php#',$includeFile) && $includeFile) {
					$name = false;
					$namespace = rtrim($includeFile,'.php');
					
					$oauth_verify = false;
					$oauth_callback = false;
					
					if($_GET['oauth_verify'] && $l['ems_site'] == $namespace) { $oauth_verify = true; }
					if($_GET['oauth_callback'] && $l['ems_site'] == $namespace) { $oauth_callback = true; }
					
					include_once $directory . $includeFile;
						if(!$name) { $name = $namespace; }
						$results['all'][$c] = $name;
						$results['namespace'][$c] = $namespace;
						$results['requirements'][$c] = $requirements;
						
						$c++;
				}
		}
		
		if(!$id) {
			$results['active'] = array();
			$login_results = Database::sql_array('autopost_login');
			$media_results = Autopost::media();
			
			if($media_results) {
				foreach($media_results as $array) {
					$results['autopost_active'][$array['site_id']] = 'checked';
				}
			}
			//print_r($media_results);
			if($login_results) {
				foreach($login_results as $login) {
					if($login['namespace'] == 'ems_title') {
						$results['autopost'][] = $login['val'];
						$results['autopost_id'][] = $login['id'];
					}
					if($login['namespace'] == 'ems_site') {
						$results['autopost_site'][] = $login['val'];
					}	
					if($login['namespace'] == 'oauth') {
						$results['oauth'][] = $login['val'];
					}	
				}
				//array_unique($results['login']);
			}
		}

		return $results;	

	
	}
	
	
	public function media() {
	
		$i = $_POST['i'];
		$count = 0;
		
			if($i) {
				foreach($i as $id) {
					if($count == 0) {
						$query .= " WHERE ";
					} else {
						$query .= " OR ";
					}
						$query .= " media_id = '".$id."' ";
				}
				
				$media_results = Database::sql_array('autopost',$query);
				
			}
			return $media_results;
			
	}
	
	
	public function new_site($data) {
	
	// ems_site = twitter/twitpic
	// ems_title = description to remember which account it is, where it goes, etc (user specific)
	// both are reserved names
	
	$select_id = $data['site'];
	
	if(!$select_id) {
		$results['error'] = true;
	}
	
	if(!$results['error']){
		$results['id'] = time(); // set to variable for constant id
		if($data['requirements'][$select_id]['oauth'] == 1) { $results['oauth'] = 1; }
		if(!$data['requirements'][$select_id]['ems_title']) { $data['requirements'][$select_id]['ems_title'] = $data['requirements'][$select_id]['ems_site']; }
			foreach($data['requirements'][$select_id] as $namespace => $value) {
				MYSQL_QUERY("INSERT INTO ip_autopost_login(id,site,namespace,val) VALUES('".$results['id']."','".EMS::e($data['site_namespace'][$select_id])."','".$namespace."','".$value."')");
			}
	}
	
	$results['msg'] = "Autopost site added";
	
	return $results;
	
	}
	
	
	public function edit($data) {
		$id = $_POST['edit_id'];
		$array_key = $data['site'];
		if($data['requirements'][$array_key]) {
			foreach($data['requirements'][$array_key] as $namespace => $value) {
				if(Database::sql_total('autopost_login','WHERE namespace = "'.$namespace.'" AND id = "'.$id.'"') > 0) { 
					MYSQL_QUERY("UPDATE ip_autopost_login SET val = '".$value."' WHERE namespace = '".$namespace."' AND id = '".$id."'");
				} else {
					MYSQL_QUERY("INSERT INTO ip_autopost_login(id,namespace,val) VALUES('".$id."','".$namespace."','".$value."')");
				}
			}
		}
		if($data['requirements'][$array_key]['oauth_token'] && $data['requirements'][$array_key]['oauth_token_secret']) {
			MYSQL_QUERY("UPDATE ip_autopost_login SET val = 0 WHERE namespace = 'oauth' AND id = '".$id."'");
		} else {
			$results['oauth'] = 1;
		}
		$results['msg'] = "Autopost details updated";
		$results['id'] = $id;
		return $results;
	}
	
	public function delete($id_array) {
		if(count($id_array) > 0) { 
			foreach($id_array as $id) {
				MYSQL_QUERY("DELETE FROM ip_autopost_login WHERE id = '".$id."'");
				MYSQL_QUERY("DELETE FROM ip_autopost WHERE site_id = '".$id."'");
				$results['msg'] = 'Autopost sites deleted';
			}
		} else {
			$results['error'] = 'No IDs found';
		}
		return $results;
	}
	
	
	public function run() {
		
		$task = Database::sql_single('autopost','WHERE completed = 0');
		if($task) {
		$directory = ROOT . 'ip-inc/plugins/autopost/';

		$login = Database::sql_array('autopost_login','WHERE id = "'.$task['site_id'].'"');
		if($login) {
			foreach($login as $login_array) {
				if($login_array['namespace'] == 'ems_site') {
					$site_name = $login_array['val'];
				}
				$l[$login_array['namespace']] = $login_array['val'];
			}
		}
		$media = Media::grab($task['media_id']);
		$run = true; // enables run action 
		if(file_exists($directory . $site_name . '.php')) {
			include_once($directory . $site_name . '.php');
		}
		MYSQL_QUERY("DELETE FROM ip_autopost WHERE id = '".$task['id']."'");
		MYSQL_QUERY("UPDATE ip_media SET autopost_queue = 0 WHERE i = '".$task['media_id']."'");
		return $results;
		}
	
	}
	
	public function show_queue( $completed = false ) {
	
		if($completed) { $c = 1; } else { $c = 0; }
		$query_results = Database::sql_array('autopost','WHERE completed = ' . $c);
		if($query_results) {
			foreach($query_results as $array) {
				if($i == 0) {
					$query .= " WHERE i = '".$array['media_id']."' ";
				} else {
					$query .= " OR i = '".$array['media_id']."' ";
				}
			}
		}
		if($query) {
			$results = Database::sql_array('media',$query,'folder,url');
			if($results) {
				foreach($results as $id => $values) {
					$output[$id] = $values;
					$output[$id] = $query_results[$id];
				}
			}
		}
		return $output;
	
	}
	
	
	public function queue() {
	
		$media = $_POST['media'];
		$sites = $_POST['sites']; // all existing 
		$sites_active = $_POST['sites_active']; // checkboxes
		$results = array();
		$results['success'] = 0;
			
		if($media && $sites) {
			foreach($sites as $site_id) {
				foreach($media as $media_id) {
				
				# add/update
				if($sites_active[$site_id]) {
					$count = Database::sql_total('autopost','WHERE site_id = "'.$site_id.'" AND media_id = "'.$media_id.'"');
					if($count == 0) { 
						MYSQL_QUERY("INSERT INTO ip_autopost(site_id,media_id) VALUES('".$site_id."','".$media_id."')");
						MYSQL_QUERY("UPDATE ip_media SET autopost_queue = 1 WHERE i = '".$media_id."'");
					}
				} else {
					MYSQL_QUERY("DELETE FROM ip_autopost WHERE site_id = '".$site_id."' AND media_id = '".$media_id."'");
					MYSQL_QUERY("UPDATE ip_media SET autopost_queue = 0 WHERE i = '".$media_id."'");
				}
				
				
				}
			}
			$results['debug'] = 'Success!';
			$results['success'] = 1;
		} else {
			$results['debug'] = 'Fail';
		}
		
		return $results;
	}



}