<?php
class Code {

	public function domain() {
		return trim(EMS::domain(),'/');
	}

	// single ID
	public function generate($media) {
		$code['direct'] = Options::$site['full']['url'] . $media['filename'] . "\n";
		$code['html'] = htmlspecialchars('<a href="' . Code::domain() . $media['url'] . '"><img src="' . Options::$site['full']['url'] . $media['filename'] . '" border="0" /></a>'. "\n");
		$code['bbThumb'] = '[url=' . Code::domain() . $media['url'] . '][img]' . Options::$site['thumb']['url'] . $media['filename'] . '[/img][/url]' . "\n";
		$code['bbFull'] = '[url=' . Code::domain() . $media['url'] . '][img]' . Options::$site['full']['url'] . $media['filename'] . '[/img][/url]'. "\n";
	
	return $code;
	} //end generate()
	
	// array of IDs
	public function upload($media) {
		$smarty = Template::$smarty;
//		print_r($media);
		foreach($media as $id => $array) {
			if(is_array($array)) {
				$folder = "";
				if($array['folder'] > 0) { $folder = $array['folder'] . "/"; }
				$mediacode['i'] = $id;
				$mediacode['filename'] = $folder . $array['filename'];
				$url = explode('/',$array['url']);
				$mediacode['url'] = end($url);
				$code[$id] = Code::generate($mediacode);
			}
		}
		if($smarty) {
			$smarty->assign('code',$code);
		}
		return $code;
	}


}