<?php
class Display {

	public function __construct($output, $template = false, $page_name = false) {
		//global $site;
		$nav = new Navigation();
		$this->output = $output;
		$this->template = $template;
		$this->page = $page_name;
		$this->site = Options::$site;
		$this->nav = $nav->go;
	}

	public function html() {
					
		switch($this->page) {
			case "browseMedia":
			echo $this->browse();
			break;
			
			case "view":
			echo $this->view();
			break;
		}
		
	}
	
	public function smarty() {
		$smarty = Template::$smarty;
//		print_r($smarty);
		Ads::assign();
		$smarty->assign('time',time());
		$smarty->display($this->template . "/" . $this->page . ".tpl"); 
		include ROOT . "ip-admin/form/dashboard.php";
		if(Options::$option['login_method'] == 'public') {
		echo EMS::login();
		}
	}
	
	
	public function assign($smarty_var,$var) {
		$smarty = Template::$smarty;
		$smarty->assign($smarty_var,$var);
	}
	
	
	/////// HTML TEMPLATES //////////
	public function browse() {
		$media = $this->output;
		$site = $this->site;
		$nav = $this->nav;

		//print_r($this->output);
		$current_page = $this->output['pages']['page']['current'];
		$total_pages = $this->output['pages']['total']['pages'];

		if($this->output) {
		foreach($this->output as $type => $output_array) {
		if($type == 'media') {
			foreach($output_array as $output) {
		?>		
		<a href="<?php echo $nav['view'] . $output['url']?>" /><img src="<?php echo $output['thumbnail']?>" /></a>
		<?php
		}
		}
		}
	}
	//print_r($this->nav);
	Pages::html($_GET['page'], $total_pages);
	}
	//end browse
	
	public function view() {
	$site = $this->site;
	$nav = $this->nav;
	$media = $this->output;
	?>
	<a href="<?php echo $nav['view'] . $media['filename']?>" /><img src="<?php echo $site['full']['url'] . $media['filename']?>" /></a>
	<?php
	}

}