<?php
class Video {
	
	public function add($media) {
		
		// remove slashes
		$media = EMS::ss($media);
		
		//$setUrl = EMS::checkUrl($media,$media['url']); 
		
		$media['folder'] = Upload::createFolder();

		if(!$media['id']) { $media['id'] = time(); }		
		if($media['url']) {  $media['youtube_id'] = Youtube::id($media['url']); $media['link'] = $media['url']; } 
		if(!$media['url']) { $media['url'] = EMS::clean_url($media['title']); } 
		if($_POST['thumbnail']) { $media['thumbnail'] = $_POST['thumbnail']; }
		if($media['youtube_id']) { $media = Youtube::details($media); $media['url'] = EMS::clean_url($media['title']); if(!$media['thumbnail']) { $media['thumbnail'] = Youtube::thumbnail($media); } }
		if($media['keywords']) { Tags::replace($media,$media['keywords']); }	
		
			
		MYSQL_QUERY("INSERT INTO ip_media(i,type_id,folder,filename,thumbnail,embed,title,description,nws,link,keywords,youtube_id,url,ip,active,source) VALUES('".EMS::e($media['id'])."','1','".$media['folder']."','".EMS::e($media['filename'])."','".EMS::e($media['thumbnail'])."','".EMS::e($media['embed'])."','".EMS::e($media['title'])."','".EMS::e($media['description'])."','".EMS::e($media['nws'])."','".EMS::e($media['link'])."','".EMS::e($media['keywords'])."works','".EMS::e($media['youtube_id'])."','".EMS::e($media['url'])."','".EMS::ip()."','".EMS::e($media['active'])."','".EMS::e($media['link'])."')");
		
		return $media;

	}//end add()
	
	
	function ffmpeg_image($details)
{
	$debug = true;
    //$CONFIG['ffmpeg_path'] = '/usr/local/bin/'; // Change the path according to your server.
	//$CONFIG['ffmpeg_path'] = '/opt/local/bin/';
	$CONFIG['ffmpeg_path'] = rtrim(Options::$option['ffmpeg_path'],'/') . '/';

    $src_file = Options::$site['full']['path']. $details['folder'] . '/' . $details['filename'];
    $dest_file = $src_file . ".jpg";

    if (preg_match("#[A-Z]:|\\\\#Ai", __FILE__)) {
        // get the basedir, remove '/include'
        $cur_dir = substr(dirname(__FILE__), 0, -8);
        $src_file = '"' . $cur_dir . '\\' . strtr($src_file, '/', '\\') . '"';
        $ff_dest_file = '"' . $cur_dir . '\\' . strtr($dest_file, '/', '\\') . '"';
    } else {
        $src_file = escapeshellarg($src_file);
        $ff_dest_file = escapeshellarg($dest_file);
    }

    $output = array();

    if (eregi("win",$_ENV['OS'])) {
        // Command to create video thumb
        $cmd = "\"".str_replace("\\","/", $CONFIG['ffmpeg_path'])."ffmpeg\" -i ".str_replace("\\","/" ,$src_file )." -an -ss 00:00:05 -r 1 -vframes 1 -y ".str_replace("\\","/" ,$ff_dest_file);
        exec ("\"$cmd\"", $output, $retval);
    } else {
        // Command to create video thumb
        $cmd = "{$CONFIG['ffmpeg_path']}ffmpeg -i $src_file -an -ss 00:00:05 -r 1 -vframes 1 -y $ff_dest_file";
        exec ($cmd, $output, $retval);
    }


    if ($retval) {
        $results['error'] = "Error executing FFmpeg - Return value: $retval";
        if ($debug) {
            // Re-execute the command with the backtick operator in order to get all outputs
            // will not work if safe mode is enabled
            //$output = `$cmd 2>&1`;
            $results['error'] .= ". Cmd line : " . nl2br(htmlspecialchars($cmd)) ;
            $results['error'] .= " The ffmpeg program said: ";
            $results['error'] .= nl2br(htmlspecialchars($output));
            //echo $ERROR;
        }
        @unlink($dest_file);
        
       // return false;
    }

	if(!$results['error']) {
    //$return = str_replace("%d", "1", $dest_file);
    //@chmod($return, octdec($CONFIG['default_file_mode'])); //silence the output in case chmod is disabled
    $results['thumbnail'] = $details['filename'] . '.jpg';
    }
    return $results;
}


	public function convert($details, $format = 'mp4') {
	
	$CONFIG['ffmpeg_path'] = rtrim(Options::$option['ffmpeg_path'],'/') . '/';
	
	$cmd = "-vcodec libx264 -vpre hq -vpre ipod640 -b 250k -bt 50k -acodec libfaac -ab 56k -ac 2 -s 480x320";

	// $details['format'][]
	$src_file = Options::$site['full']['path']. $details['folder'] . '/' . $details['filename'];
    $dest_file = $src_file . "." . $format;

	if (preg_match("#[A-Z]:|\\\\#Ai", __FILE__)) {
        // get the basedir, remove '/include'
        $cur_dir = substr(dirname(__FILE__), 0, -8);
        $src_file = '"' . $cur_dir . '\\' . strtr($src_file, '/', '\\') . '"';
        $ff_dest_file = '"' . $cur_dir . '\\' . strtr($dest_file, '/', '\\') . '"';
    } else {
        $src_file = escapeshellarg($src_file);
        $ff_dest_file = escapeshellarg($dest_file);
    }

    $output = array();

    if (eregi("win",$_ENV['OS'])) {
        // Command to create video thumb
        $cmd = "\"".str_replace("\\","/", $CONFIG['ffmpeg_path'])."ffmpeg\" -i ".str_replace("\\","/" ,$src_file )." ". $cmd ." ".str_replace("\\","/" ,$ff_dest_file);
        exec ("\"$cmd\"", $output, $retval);
    } else {
        // Command to create video thumb
        $cmd = $CONFIG['ffmpeg_path'] . "ffmpeg -i " . " " . $src_file . " ". $cmd . " " . $ff_dest_file;
        exec ($cmd, $output, $retval);
    }


    if ($retval) {
        $results['error'] = "Error executing FFmpeg - Return value: $retval";
        if ($debug) {
            // Re-execute the command with the backtick operator in order to get all outputs
            // will not work if safe mode is enabled
            //$output = `$cmd 2>&1`;
            $results['error'] .= ". Cmd line : " . nl2br(htmlspecialchars($cmd)) ;
            $results['error'] .= " The ffmpeg program said: ";
            $results['error'] .= nl2br(htmlspecialchars($output));
            //echo $ERROR;
        }
        @unlink($dest_file);
        
       // return false;
    }

	if(!$results['error']) {
    //$return = str_replace("%d", "1", $dest_file);
    //@chmod($return, octdec($CONFIG['default_file_mode'])); //silence the output in case chmod is disabled
    $results['format'] = $format;
    }
    return $results;
	
	}

	public function thumbnail($details) {
		if($details['id']) {
		
			$details['folder'] = Upload::createFolder();
			$ext = EMS::extension($_FILES['video_thumbnail']['name']);
			$details['filename'] = $details['id'] . $ext;
			
			Upload::recursive_mkdir(Options::$site['full']['path']. $details['folder'] . '/');
			Upload::recursive_mkdir(Options::$site['thumb']['path'].$details['folder'] . '/');
			
			$thumbFile = $_FILES['video_thumbnail']['tmp_name'];
			if($thumbFile) { 
				if(file_exists(Options::$site['full']['path']. $details['folder'] . '/' . $details['filename'])) { unlink(Options::$site['full']['path']. $details['folder'] . '/' . $details['filename']); }
				if(file_exists(Options::$site['thumb']['path']. $details['folder'] . '/' .$details['filename'])) { unlink(Options::$site['thumb']['path']. $details['folder'] . '/' . $details['filename']); }
				move_uploaded_file($thumbFile,Options::$site['full']['path']. $details['folder'] . '/' . $details['filename']);
				
				$thumb = PhpThumbFactory::create(Options::$site['full']['path']. $details['folder'] . '/' . $details['filename']);
				$thumb->adaptiveResize(Options::$option['thumb_width'],Options::$option['thumb_height'])->save(Options::$site['thumb']['path']. $details['folder'] . '/' . $details['filename']);
				
				return $details;
			}//end thumbfile
		}
	}
	
	public function embed($embed = false, $youtube_id = false) {
		if($embed) {
			$embed_code = $embed;
		}
		if($youtube_id) {
			$embed_code = '<object width="640" height="385"><param name="movie" value="http://www.youtube.com/v/'.$youtube_id.'&amp;hl=en_US&amp;fs=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/'.$youtube_id.'&amp;hl=en_US&amp;fs=1" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="640" height="385"></embed></object>';
		}
		return stripslashes($embed_code);
	}
	
	
	public function generate_url($video) {
		if(!$video['url']) { 
			if($video['name']) { $video['url'] = EMS::clean_url($video['name']); } else { $video['url'] = $video['id']; }
			return $video;
		}//end if video url
	}

}