<html>
<head>
<title>{$title}</title>
{if $option.site_desc}<meta name="description" content="{$option.site_desc}" />{/if}
{if $option.site_keywords}<meta name="keywords" content="{$option.site_keywords}" />{/if}
<script type="text/javascript" src="{$sharedURL}/js/jquery-1.4.2.min.js"></script>
<script src="{$templateURL}/script.js"></script>
<link rel="stylesheet" href="{$sharedURL}/css/reset.css" />
<link rel="stylesheet" href="{$sharedURL}/css/960.css" />
<link rel="stylesheet" href="{$templateURL}/style.css" />
</head>
<body>
<div class="container_12">

<div class="grid_8" id="header">
<h1><a href="{$nav.home}">{$option.site_name}</a></h1>
<h2>{$option.site_desc}</h2>
</div>

<div class="grid_4">
<div id="login">
{if $option.enable_users}
{if $user.id || $is_admin}logged in as <b><a href="{$nav.user.profile}{$user.name}">{$user.name}</a>{if $is_admin}<i style="color: #f00"> administrator </i>{/if}</b> / <a href="{$nav.logout}">logout</a> {else}
<a href="{$nav.signup}">signup</a> / <a href="{$nav.login}">login</a>
{/if}
{/if}
</div>
</div>

<div class="clear"></div>

<div class="grid_8">
<ul id="menu">
<li><a href="{$nav.home}"{if $nav.current == 'home'} class="active"{/if}>home</a></li>
<li><a href="{$nav.browse.media}"{if $nav.current == 'browse'} class="active"{/if}>browse</a></li>
<li><a href="{$nav.favorites}"{if $nav.current == 'favorites'} class="active"{/if}>favorites</a></li>
<li><a href="{$nav.galleries}"{if $nav.current == 'galleries'} class="active"{/if}>galleries</a></li>
<li><a href="{$nav.blog}"{if $nav.current == 'blog'} class="active"{/if}>blog</a></li>
{if $option.enable_users}
{if $user.id}<li><a href="{$nav.user.cp}"{if $nav.current == 'user'} class="active"{/if}>user cp</a></li>{/if}
{if $user.id}
<li><a href="{$nav.upload}"{if $nav.current == 'upload'} class="active"{/if}>upload</a></li>
{/if}
{/if}
</ul>
</div>

<div class="right">
<form method="POST" action="{$nav.search}">
<input name="q" value="{$t}" /><input type="submit" value="Search &raquo;" />
</form>
</div>


{if $option.nws_toggle}<a href="{$nav.worksafe}" id="worksafe">{if $filter=='ws'}worksafe <strong>ON</strong>{/if}{if $filter=='nws'}worksafe <strong>OFF</strong>{/if}{if $filter=='off'}viewing all images{/if}</a>{/if}



<br />
{include file="$sharedFolder/templates/msg.tpl"}
<br />
<div class="clear"></div>