{include file="$templateFolder/header.tpl"}

<div class="clear"></div>
<!-- Display Area -->
<div class="grid_12" style="text-align:center">
{if $prev}<a href="{$prev.url}" class="nav" style="float:left"><img src="{$prev.thumb}" /><b>&laquo; Previous</b></a>{/if}
{include file="$sharedFolder/templates/display.tpl"}
{if $next}<a href="{$next.url}" class="nav" style="float:right"><img src="{$next.thumb}" /><b>Next &raquo;</b></a>{/if}
</div>

<div class="clear"></div><br />

<div class="grid_6" id="toolbar">
{include file="$sharedFolder/templates/toolbar.tpl"}
<div class="clear"></div>
{include file="$sharedFolder/templates/rating.display.tpl"}
</div>


<div class="grid_6 bookmarks">
{include file="$sharedFolder/templates/bookmarks.tpl"}
</div>

<div class="clear break"></div><br />

<!-- Info -->
<div class="grid_6">
{if $media.title}<h3>{$media.title}</h3>{/if}
{if $media.description}<p>{$media.description}</p>{/if}
{if $media.keywords_list}<p>{$media.keywords_list}</p>{/if}
{include file="$sharedFolder/templates/fields.tpl"}&nbsp;
{include file="$sharedFolder/templates/info.tpl"}
</div>
<div class="grid_6">
{include file="$sharedFolder/templates/updateTags.tpl"}
</div>

<div class="clear"></div>

<div class="grid_12">
{if $option.comments_enabled}
<br />
<div id="comments">{include file="$sharedFolder/templates/comments/display.tpl"}</div>
<div id="commentLogin">
{if $user.id || $is_admin}
	logged in as <b>{if $user.id}{$user.name}{else}{if $is_admin}<b class="redlink">administrator</b>{/if}{/if}</b>
{else}
	<p>You must be <a href="{$nav.login}">logged in</a> to post a comment.</p>
{/if}
</div>

{if $user.id || $is_admin}<div id="commentPost">{include file="$sharedFolder/templates/comments/post.tpl"}</div>{/if}

{/if}&nbsp;
</div>


<div class="clear"></div>

<div class="grid_12 thumbs">
{if $media.type == 'image'}
	{if $random.images}
		{include file="$sharedFolder/templates/random/images.tpl"}
	{/if}
{/if}
{if $media.type == 'video'}
	{if $random.videos}
		{include file="$sharedFolder/templates/random/videos.tpl"}
	{/if}
{/if}
{if $media.type == 'flash'}
	{if $random.flash}
		{include file="$sharedFolder/templates/random/flash.tpl"}
	{/if}
{/if}
</div>

<div class="clear"></div>

<div style="display:none">
	<div class="grid_6" id="code-box">
	{if $option.share_images}
	<h3>Embed this {$media.type}</h3>
	<div id="code">{include file="$sharedFolder/templates/code.tpl"}</div>
	{/if}&nbsp;
	</div>
</div>

{include file="$templateFolder/footer.tpl"}