<?php
include "inc.php";
Security::check('admin');

if($_POST) {
	$results = array();

	$i = $_POST['i'];
	$params['action'] = $_POST['action'];
	$details = $_POST['autopost'];
	$site_ids = $_POST['site_id']; // checkboxes
	
	if($params['action']) {		
	if($params['action'] == 'get_sites') {
		$results = Autopost::sites();
	}
	
	if($params['action'] == 'new') {
		$results = Autopost::new_site($details);
	}
	
	if($params['action'] == 'edit') {
		$results = Autopost::edit($details);
	}
	
	if($params['action'] == 'delete') {
		$results = Autopost::delete($site_ids);
	}
	
	if($params['action'] == 'add_queue'){ 
		$results = Autopost::queue();
	}
	if(EMS::ajax()) { echo json_encode($results); }
	}
	if(EMS::ajax()) { return; }

	if($results['oauth'] == 1) {
		header('Location: autopost.php?oauth=true&edit=' . $results['id']);
	}
	
}

/// END POST

$_SESSION['callback'] = EMS::domain() . 'ip-admin/autopost.php?edit=' . $_GET['edit'] . '&oauth_callback=true'; 
$sites = Autopost::sites($_GET['edit']);

include "header-common.php";
include "header.php";


// AUTOPOST FORM


if($_GET['edit'] || $_GET['new']) {

	if($_GET['edit']) {
			$key_values = array_flip($sites['namespace']);
			$key = $key_values[$sites['form']['ems_site']];
	}
	//echo $key;

	include "form/autopost.php"; 
	return;
	} 

$button['new'] = true;
$button['delete'] = true; 
?>
<link rel="stylesheet" href="css/data_table/page.css" />
<link rel="stylesheet" href="css/data_table/table.css" />
<script src="js/plugins/jquery.dataTables.min.js"></script>
<style>
.dataTables_wrapper { width: 100%; float:left; color: #fff }
#autopost_table_length, #autopost_table_filter, .dataTables_info { padding: 5px }
#autopost_table tr td { padding: 5px }
</style>

<script>
var siteTable;

$(document).ready(function() {
	$('#new').click(function() { window.location = '?new=1'; });
	
	$('#delete').click( function() {
		var sData = $('input', siteTable.fnGetNodes()).serialize();
		_loading.open();
		$.post('autopost.php','action=delete&'+sData,function(data) {
		var results = $.parseJSON(data);
		var anSelected = fnGetSelected( siteTable );
		for(var i=0;i<anSelected.length;i++) {
			siteTable.fnDeleteRow( anSelected[i] );
		}
		
		status(results.msg,'success');
		_loading.close();
		});
		
	} );
	
	siteTable = $('#autopost_table').dataTable({"sPaginationType": "full_numbers"});

	
}); // doc ready end


</script>
<div id="wrapper">

<h3>Autopost run command: </h3>
<div class="input"><input type="text" value="<?php echo EMS::domain() . "ip-cron.php?key=" . Options::$option['secret_key']?>" size="40" onclick="this.select()" readonly /></div>

<table id="autopost_table" width="100%" cellspacing="0" cellpadding="0" class="display">
<thead>
<tr>
<th width="20"><input type="checkbox" class="selectCheckboxes" value="autopost_table" /></th>
<th>Name</th>
<th>Site</th>
<th>Status</th>
</tr>
</thead>
<tbody>
<?php if($sites['autopost_site']) { foreach($sites['autopost_site'] as $id => $site) { ?>
<tr>
<td><input type="checkbox" class="check" name="site_id[]" value="<?php echo $sites['autopost_id'][$id]?>" /></td>
<td><A href="?edit=<?php echo $sites['autopost_id'][$id]?>" class="edit" id="<?php echo $sites['autopost_id'][$id]?>"><?php echo $sites['autopost'][$id]?></a></td>
<td><?php echo $sites['autopost_site'][$id]?></td>
<td><?php if($sites['oauth'][$id] == 1) { echo "<strong>Authorization Required</strong>"; } else { echo "Active"; }?></td>
</tr>
<?php } } ?>
</tbody>
</table>


</div>
</div>
<div class="clear"></div>

</div>

<?php include "footer.php";