<?php
include "inc.php";
Security::check('admin');

$blog = $_POST['blog'];
$new = $_GET['new'];
$edit = $_GET['edit'];
$blog_ids = $_POST['blog_ids'];

if($_POST['new']) { $new = true; }

if($new) { $blogID = 0; }

if($edit) {
	$blogPost = Database::sql_row('blog','WHERE id = "'.$edit.'"');
	$blogID = $blogPost['id'];
}

if($_POST['delete']) {
	$results = Blog::delete($blog_ids);
	EMS::alert($results['type'],$results['message']);
}

if($blog) { 
	$results = Blog::post($blog);
	if($results['type'] == 'error') { $new = true; }
	echo json_encode($results);
	return;
	//EMS::alert($results['type'],$results['message']);
}

if(!$new && !$edit) { $total_posts = Database::sql_total('blog'); if($total_posts == 0) { header('Location: blog.php?new=1'); exit; } }

include "header-common.php";
include "header.php";
?>
<script>
$(function() { 
	$('#blogTitle').focus(); 
	//displayMedia(); 
	//postFeed(true); 
	$('#show_media').click(function() { postFeed(true); $(this).hide(); $('#add_media').show(); $('#blog_media').css('visibility','visible'); });	
	$('#add_media').click(function() { 
		if(getSelectedArray()) {
			$.get('code.php?generate=html&'+getSelected(),function(data) { $('#post').val($('#post').val() + data); });
		}
	});
/*
	$('#blog').submit(function() {
		<?php if($new || $edit) { ?>
		if(!$('#blogTitle').val()) {
			status('Please enter a blog title','error');
			$('#blogTitle').focus();
			return false;
		} else {
			status_close();
		}
		<?php } else { ?>
		window.location = '?new=1';
		return false;
		<?php } ?>
	});
	*/
	
 });
</script>

<div id="wrapper">
<span class="wrapper_block">
<form method="POST" id="form" action="blog.php">
<?php
if($new || $edit) {
if($new) { $button['new'] = true; }
if($edit) { $button['update'] = true; }
?>
<?php if($new) { ?><h2>Create a new blog post</h2><?php } else { ?><h2>Editing Post</h2><?php } ?>

<div class="blog">
	<div class="name"><b>Title</b></div>
	<div class="input"><b><input type="text" name="blog[<?php echo $blogID?>][title]" value="<?php echo EMS::ss($blogPost['title'])?>" class="txt required" id="blogTitle" /></b></div>
</div>

<div class="blog" id="custom_url" style="display:none">
	<div class="name"><b>Custom URL <em class="small">(Optional. If left blank, the url will be generated using the title)</em> </b></div>
	<div class="input"><b><input name="blog[<?php echo $blogID?>][url]" value="<?php echo $blogPost['url']?>" class="txt" /></b></div>
</div>

<div class="blog">
	<div class="name"><b>Post</b></div>
	<div class="input"><b><textarea name="blog[<?php echo $blogID?>][post]" id="post"><?php echo EMS::ss($blogPost['post'])?></textarea></b></div>
</div>

<div class="blog">
	<div class="name"><b>Keywords <em class="small">(separate with spaces, combine words with quotes)</em></b></div>
	<div class="input"><b><textarea name="blog[<?php echo $blogID?>][keywords]" style="height: 50px"><?php echo EMS::ss($blogPost['keywords'])?></textarea></b></div>
</div>
</span>
<div class="blog">
	<div class="input">
	<div style="float:left; padding:5px 15px"><button id="show_media" type="button">Show Media</button><button id="add_media" style="display:none" type="button">Add Media</button></div>
	<div class="clear"></div>
	<div id="blog_media" style="visibility:hidden; width: 100%; ">
	<?php $nowrapper = true; include "nav.php"; ?>
	<div id="mediascroll">
	<div id="scroller">
				<ul id="showImages">
				</ul>	
		</div>			
	</div>
	</div>
	
	</div>
</div>

</div>
</div>

<div class="clear"></div>

<?php
} else {

$button['new'] = true;
$button['delete'] = true;

$page['current'] = $_GET['page'];
if(!$page['current']) { $page['current'] = 1; }
$posts_per_page = Options::$option['blog_posts_per_page'];
$total['pages'] = ceil($total_posts / $posts_per_page);
$from = (($page['current'] * $posts_per_page) - $posts_per_page); 
$where = "ORDER BY id DESC LIMIT ". $from . ", " . $posts_per_page;
$posts = Database::sql_array('blog',$where);
?>
<?php if($posts){ ?>

<link rel="stylesheet" href="css/data_table/page.css" />
<link rel="stylesheet" href="css/data_table/table.css" />
<script src="js/plugins/jquery.dataTables.min.js"></script>

<style>
.dataTables_wrapper { width: 100%; float:left; color: #fff }
#posts_length, #posts_filter, .dataTables_info { padding: 5px }
#posts tr td { padding: 5px }
</style>
<script>
var postsTable;
$(document).ready(function() { 


	$('#delete').click( function() {
		var sData = $('input', postsTable.fnGetNodes()).serialize();
		_loading.open();
		$.post('blog.php','delete=1&'+sData,function(data) {

		var anSelected = fnGetSelected( postsTable );
		for(var i=0;i<anSelected.length;i++) {
			postsTable.fnDeleteRow( anSelected[i] );
		}
		_loading.close();
		});
		
	} );
	
	
	postsTable = $('#posts').dataTable({"sPaginationType": "full_numbers"}); 
	
	$('#new').click(function() { window.location = "?new=1"; });

});


</script>
<table width="100%" id="posts" cellpadding="0" cellspacing="0" class="display">
<thead>
<tr>
<th style="width:15px; text-align:center"><input type="checkbox" class="selectCheckboxes" value="posts" /></th>
<th>Title</th>
<th class="date">Date Posted</th>
</tr>
</thead>
<?php foreach($posts as $postID => $postValues) { ?>
<tr class="<?php echo $postValues['id']?>">
<td align="center"><input type="checkbox" name="blog_ids[]" class="check blog" value="<?php echo $postValues['id']?>"/></td>
<td><a href="blog.php?edit=<?php echo $postValues['id']?>"><?php echo substr(EMS::ss($postValues['title']),0,140)?></a></td>
<td><?php echo date('M d, Y',$postValues['id'])?></td>
</tr>
<?php } ?>
</table>
<?php } else { ?>
<div id="msg" class="error">No blog posts found</div>
<?php } ?>
</div>

<?php } // end new ?>

<?php include "footer.php"; ?>