<?php
# Creating/Editing Gallery
include_once "../../ip-config.php";
$disable_redirect = true;
include_once ROOT.'ip-inc/includes.php';
Security::check('admin');

$id = 0;
$get_galleries = $_GET['gallery']; // array gallery[]

if($get_galleries) {
		$id = $get_galleries[0];
		$get_gallery_details = Galleries::get($get_galleries[$id]);  // prefill info from first gallery chosen
		$gallery_details = $get_gallery_details['gallery'];
}

	$galleries = Galleries::get();

//	print_pre($get_galleries);
	
	if($get_galleries) { $gallery_array = array_flip($get_galleries); }
?>
<script>
	$(function() {
		$('#more_options').click(function () { $(this).hide(); $('#less_options, #advanced_options').show(); _dialog.refresh(); });
		$('#less_options').click(function () { $(this).hide(); $('#advanced_options').hide(); $('#more_options').show(); _dialog.refresh();  });
//		$('#gallery_name').focus();
	});
	
</script>

<div class="popup">
<form method="POST" action="galleries.php" id="galleryForm">

<a id="more_options" class="options">[+] More Options</a>
<a id="less_options" class="options" style="display:none">[-] Less Options</a>

<?php if($get_galleries) { foreach($get_galleries as $gallery_id) { ?>
<input type="hidden" name="gallery[<?php echo $gallery_id?>][id]" value="<?php echo $gallery_id?>" />
<?php } } else { ?>
<input type="hidden" name="gallery[0][id]" value="1" />
<?php } ?>
<input type="hidden" name="gallery_values[current_parent_id]" value="<?php echo $gallery_details[$id]['parent_id']?>" />

<div class="block">
	<label><b>Gallery Name: </b>
	<input name="gallery_values[name]" class="txt" id="gallery_name" value="<?php echo EMS::ss($gallery_details[$id]['name'])?>" /></label>
</div>
<?php if($galleries['gallery']) { ?>
<div class="block">
	<select name="gallery_values[parent_id]">
	<option value="0">-- Parent Gallery --</option>
	<?php foreach($galleries['gallery'] as $gallery_id => $gallery) {  if(is_null($gallery_array[$gallery_id])) { ?>
	<option value="<?php echo $gallery_id?>"<?php if($gallery_details[$id]['parent_id'] == $gallery_id || $_GET['gallery_id'] == $gallery_id) { echo " selected"; }?>><?php echo $gallery['name']?></option>
	<?php } } ?>
	</select>
</div>
<?php } ?>
<div class="clear"></div>
	<div class="block">
		<b>Gallery Type</b>
		<select name="gallery_values[type]">
			<option value="0">Image</option>
			<option value="1"<?php if($gallery_details[$id]['type'] == 1) { echo ' selected'; }?>>Video</option>
			<option value="2"<?php if($gallery_details[$id]['type'] == 2) { echo ' selected'; }?>>Flash</option>
			<option value="99"<?php if($gallery_details[$id]['type'] == 99) { echo ' selected'; }?>>Mixed</option>
		</select>

	<label><input type="checkbox" class="" name="gallery_values[active]"  value="1"<?php if($edit_id) { if($gallery_details[$id]['active'] > 0) { echo " checked"; } } else { echo " checked"; }?>> Active</label>
</div>
</div>

<div class="clear break"></div>

<div id="advanced_options" style="display:none">
	<div class="block">
		<b>Custom URL</b>
		<input name="gallery_values[url]" class="txt" value="" />
	</div>
	
	<div class="block">
		<label><b>Description: </b>
		<textarea name="gallery_values[description]"><?php echo EMS::ss($gallery_details[$id]['description'])?></textarea></label>
	</div>
	
	<div class="block">
		<label><b>Survey Widget: </b>
		<textarea name="gallery_values[widget]"><?php echo EMS::ss($gallery_details[$id]['widget'])?></textarea></label>
	</div>
</div>
</div>

</form>