<?php 
# Selecting Gallery (popup)
include_once "../../ip-config.php";
$disable_redirect = true;
include_once ROOT.'ip-inc/includes.php';
Security::check('admin');
if($_POST['get_gallery']) { 
Galleries::$type = $_POST['gallery_type'];
$gallery_id = $_POST['gallery_id'];
$galleries = Galleries::get($gallery_id);
?>
<ul>
<?php if($galleries['sub_menu']) { foreach($galleries['sub_menu'] as $id => $gallery) { ?>
<li class="directory"><input type="checkbox" id="checkbox_<?php echo $id?>" name="gallery[]" class="gallery_checkbox" value="<?php echo $id?>" /><a href="#" class="<?php echo Galleries::$type;?>" rel="<?php echo $id?>"><?php echo $gallery['name']?></a><div class="gallery_<?php echo $id?>"></div></li>
<?php } } ?>
</ul>
<?php
return;
}
$galleries = Galleries::get();
if($galleries['menu']) { ?>
<script>
	var selected_gallery;

	function gallery_tree(gallery_id, gallery_type) {
		_loading.open();
		$('.gallery_container input').attr('checked',false);
		if($('#checkbox_'+gallery_id).attr('checked') == true) { $('#checkbox_'+gallery_id).attr('checked', false) } else { $('#checkbox_'+gallery_id).attr('checked', true) }
		if(!gallery_id) { var gallery_id = 0; }
		_loading.close();
		$.post('form/gallery_select.php','get_gallery=true&gallery_type='+gallery_type+'&gallery_id='+gallery_id,function(data) { 
			$('#'+gallery_type+' .gallery_'+gallery_id).html(data); 
			_dialog.refresh();
			$('.directory a').unbind('click').bind('click',function() { 
				$('.directory a').removeClass('active');
				gallery_type = $(this).attr('class');
				$(this).addClass('active');
				selected_gallery = $(this).attr('rel');
				gallery_tree(selected_gallery, gallery_type);
				return false; 
			}); 
		});
	}
	
$(function() {
	gallery_tree(0,'images');
	gallery_tree(0,'videos');
	gallery_tree(0,'flash');
	gallery_tree(0,'mixed');
	$('.tabs').tabs({show: function() { _dialog.refresh(); } });
});

</script>
<style>
	.gallery_container {  max-height: 300px; overflow: auto; }
	.gallery_container input { margin: 0 5px 0 0; vertical-align:middle }
	.gallery_container .active { background: #eee; }
	.gallery_container ul li { margin: 5px 0 0 0 }
	.gallery_container ul li ul { margin: 5px 0 0 10px; }
</style>

<div id="tabs" class="tabs gallery_container">
	<ul>
		<li><a href="#images">Image</a></li>
		<li><a href="#videos">Video</a></li>
		<li><a href="#flash">Flash</a></li>
		<li><a href="#mixed">Mixed</a></li>
	</ul>
	<div id="images" class="panel">
		<div class="gallery_0"></div>
	</div>
	<div id="videos" class="panel">
		<div class="gallery_0"></div>
	</div>
	<div id="flash" class="panel">
		<div class="gallery_0"></div>
	</div>
	<div id="mixed" class="panel">
		<div class="gallery_0"></div>
	</div>
</div>
<?php } else { ?>
<h3>No galleries found, please make a new one.</h3>
<?php } ?>