<?php
include "inc.php";
Security::check('admin');

$action = $_POST['action'];
$new = $_GET['new'];
$type = $_POST['type'];

$type_id = EMS::get_type_id($type);

$current_gallery_id = $_GET['gallery'];
if(!$current_gallery_id) { $current_gallery_id = 0; }

$nav = Navigation::$go;
$media = $_POST['i'];

// gallery array (id,name,url..etc)
// gallery[0]['id']
if($_POST['gallery']) { $galleries = $_POST['gallery']; }

// single gallery_id post
if($_POST['gallery_id']) { $gallery_id = $_POST['gallery_id']; }

// gallery values (used for creating and updating)
// gallery_values['value']
if($_POST['gallery_values']) { $gallery_values = $_POST['gallery_values']; }

if($action == 'create') {
	if($galleries[0]) {
		$results = Galleries::create($galleries[0],$gallery_values);
		if($media) {
			$results = Galleries::addMedia($results['id'],$media,$type_id);
		}
		echo json_encode($results);
		return;
	} else {
		$results = Galleries::update($gallery,$gallery_values);
		echo json_encode($results);
		return;
	}
	
}

if($action == 'set_cover') {
	$media['id'] = $media[0];
	if($galleries) { // gallery array
		foreach($galleries as $gallery_id) {
			$results = Galleries::set_cover($gallery_id,$media);
		}
	} else {
		$results = Galleries::set_cover($gallery_id,$media);
	}
	echo $results;
	return;
}

if($action == 'activate') {
	Galleries::activate($galleries,$_POST['active']);
	echo $_POST['active'];
	return;
}


if($action == 'edit') {
	if($galleries) {
		foreach($galleries as $gallery) {
			$results = Galleries::update($gallery,$gallery_values); // (id_array,value_array)
		}
		echo json_encode($results);
	}
	return;
}

// add media to gallery
if($action == 'add') {
	// gallery id = $gallery['id']
	if($galleries) {
		foreach($galleries as $gallery_id) {
			$results = Galleries::addMedia($gallery_id,$media,$type_id);
		}
	}
//	$results = Galleries::addMedia($gallery,$media, $type_id);
	echo json_encode($results);
	return;
}//end if add to gallery



if($action == 'remove_media') {
	$results = Galleries::removeMedia($gallery_id,$media);
	echo $results;
	return;
}

	
if($action == 'remove') {	
	if($galleries) {
		foreach($galleries as $id) {
			$results = Galleries::deleteById($id);
		}
		echo "Gallery deleted";
		return;
	}
}

///


if($current_gallery_id > 0) {
	$media = Galleries::getMedia($current_gallery_id);
	$parent_galleries = Galleries::get_parent($current_gallery_id);
	if(!$parent_galleries) { header('Location: galleries.php');  }
}

if(!Galleries::total()) { 
	//header('Location: galleries.php?new=1'); 
}

include "header-common.php";
include "header.php";
if($current_gallery_id) {
include "nav.php";
}
?>
<link type="text/css" href="css/galleries.css" rel="stylesheet" />	
<?php if($current_gallery_id) { ?>
<script>_gallery.id = '<?php echo $current_gallery_id?>';</script>
<script src="js/window.resize.js"></script>
<?php } ?>
<script>

_gallery.page = true;

function switcher(_this) {

	$(_this).unbind('click');
	//$(_this).hide();
	var new_status;
	var switch_status = $(_this).attr('rel'); 
	if(!switch_status || switch_status == 0) { new_status = 1; } else { new_status = 0; }
	var gallery_id = $(_this).attr('id'); 
	$('#loading'+gallery_id).fadeIn();
	$.post('galleries.php','action=activate&gallery[]='+gallery_id+'&active='+new_status,function(data) {
		$(_this).bind('click',function() { switcher(_this); return false; });
		$('#loading'+gallery_id).fadeOut('fast');
		//$(_this).show();
		$(_this).removeClass('off'); 
		if(new_status == 0) { $(_this).addClass('off'); }
		$(_this).attr('rel',new_status);
	});
			
}


$(function() { 
	if(_gallery.id > 0) {
	//	displayMedia(); 
		postFeed(true); 
	}
	
	
	
		$('.switch').click(function() { 
			switcher(this);
			return false;
		});
	//	loaded_media = true; 
});
</script>
<div id="wrapper">
	<div id="scroller">

<?php if($current_gallery_id) { ?>
	<h3 class="title wrapper_block" style="padding:0"><a href="galleries.php">Galleries</a> <?php if($parent_galleries) { foreach($parent_galleries as $gallery_array) { echo ' &raquo; <a href="?gallery='.$gallery_array['id'].'">' . $gallery_array['name'] . '</a>'; } }?></h3>
	<h4 id="total_images"></b></h4>
<?php } ?>
<div class="clear"></div>
<ul id="galleries">
<?php if($galleries['gallery']) { ?>
<?php foreach($galleries['gallery'] as $gallery_id => $gallery) { 
			if($gallery['parent_id'] == $current_gallery_id) {
			if($gallery['cover']) { $cover = $gallery['cover']; } else { $cover = false; }
			$sub_galleries = true;?>
<li id="thumb<?php echo $gallery_id?>" class="<?php echo $gallery['type'];?>">
	<div class="settings">
		<input type="radio" name="gallery_id[]" id="select<?php echo $gallery_id?>" value="<?php echo $gallery_id?>" class="gallery_checkbox" /><label for="select<?php echo $gallery_id?>">Select</label>
	</div>
<a href="?gallery=<?php echo $gallery_id?>" id="<?php echo $gallery_id?>"><div class="background" <?php if($cover) { ?>style="background: url(<?php echo $cover?>) no-repeat center center;"<?php } ?>><?php if(!$cover) { ?><img src='img/photo.png' /><?php } ?></div></a>
<a class="link" href="?gallery=<?php echo $gallery_id?>"><b><img src="img/loading/loading-grey.gif" class="loading" id="loading<?php echo $gallery_id?>" style="display:none" /><div class="switch <?php if($gallery['active']) { ?>on<?php } else { ?>off<?php } ?>" id="<?php echo $gallery_id?>" rel="<?php if($gallery['active']) { echo "1"; } ?>"></div> <?php echo Media::type($gallery['type'])?></b><?php echo $gallery['name']?></a>
</li>
<?php 		} // end if parent_id = cat_id 
		} //end foreach gallery ?>
<?php } else { ?>
<?php } //end if gallery ?>
</ul>

<!-- media display -->
<ul id="showImages"></ul>
	
			<div class="clear"></div>
	</div>
</div>

<?php include "footer.php"; ?>