<?php
$DOC_ROOT = str_replace($_SERVER['DOCUMENT_ROOT'],'',$_SERVER['SCRIPT_FILENAME']);
$DOC_ROOT = str_replace('ip-admin/install.php','',$DOC_ROOT);
if($DOC_ROOT == "") { $DOC_ROOT = "/"; }

$ROOT = str_replace('ip-admin','',dirname(__FILE__));

define( 'ROOT', $ROOT);
define( 'DOC_ROOT', $DOC_ROOT );

error_reporting(0); // stop errors from showing

if(file_exists( ROOT . 'ip-config.php')) { header('Location: index.php'); exit; }
if($_SESSION['admin_key']) { unset($_SESSION['admin_key']); header('Location: index.php'); }
include ROOT . "ip-inc/classes/EMS.class.php";

$step = 0;

if($_POST) {
	$db = $_POST['db'];
	$admin = $_POST['admin'];
	$publisher = $_POST['publisher'];
	$action = $_POST['action'];
	$publisher_key = $_POST['publisher_key'];
	$step = $_POST['step'];

	define('EMS_DB_SERVER', $db['server']);
	//database login name
	define('EMS_DB_USER', $db['user']);
	//database login password
	define('EMS_DB_PASS', $db['pass']);
	//database name
	define('EMS_DB_DATABASE', $db['name']);


if($step == 1) {
if($_POST['publisher_details']) { $publisher_details = $_POST['publisher_details']; }

// EMS publisher account
if($publisher) { 
		$publisher_details['site'] = urlencode(EMS::domain());
		$publisher_details['site_key'] = EMS::sitekey();
		if($publisher['account'] == 'new') { // new account
			foreach($publisher['new'] as $name => $value) {
				$publisher_details[$name] = $value;
				if(!$value) { $results['error'] = "Please fill in all fields to create an account"; }
				if($publisher['new']['pass'] != $publisher['new']['cpass']) { $results['error'] = "Passwords don't match"; }
			}
			if(!$results['error']) {
					$output = EMS::curl('http://easymediascript.com/remote/register',false,$publisher_details);
					if(!$output) { $results['warning'] = "Could not connect to the EMS server"; }
			}
		}
		if($publisher['account'] == 'existing') { //existing account
			foreach($publisher['existing'] as $name => $value) {
				$publisher_details[$name] = $value;
				if(!$value) { $results['error'] = "Please fill in all fields for existing account"; }
			}
			if(!$results['error']) {
					$output = EMS::curl('http://easymediascript.com/remote/login',false,$publisher_details);
					 if(!$output) { $results['warning'] = "Could not connect to the EMS server"; }
			}
		}
		
		if($output) { 
			$output_results = explode('=',$output); 
			if($output_results[0] == 'success') { 	$results['key'] = $output_results[1]; $results['success'] = 1; } 
			if($output_results[0] == 'error') { 	$results['error'] = $output_results[1]; }
		} else {
			$results['warning'] = "Could not connect to the EMS server";
		}
			
}
echo json_encode($results);
return;
}//end step 1


if($step == 2) {

	$test['connection'] = mysql_connect(EMS_DB_SERVER,EMS_DB_USER,EMS_DB_PASS) or NULL; 
	$test['database'] = mysql_select_db(EMS_DB_DATABASE) or NULL; 
	
	if($test['connection'] == NULL) { $results['error'] = "Couldn't make a connection to the server, please make sure the settings are correct"; }
	if($test['database'] == NULL) { $results['error'] = "Couldn't connect to the database, please make sure it exists and the database user has permissions to access it."; }
	
	if(!$results['error']) { $results['success'] = 1; }
	echo json_encode($results);
	return;

} // end check database (step 2)



if($step == 3) {

	if(!$admin['user'] || !$admin['pass'] || !$admin['cpass']) {
		$results['error'] = "Please fill in all required information";
	}
	
	if($admin['pass'] != $admin['cpass']) {
		$results['error'] = "Passwords do not match";
	}
	
	// no errors with admin, install!
	if(!$results['error']) {
		include "lib/installEMS.php";
		$results['complete'] = 1;
	}
	
	echo json_encode($results);
	return;
} //end create admin

}


$generateKey = md5(time());

if(!file_exists(ROOT . 'ip-inc/tmp')) { mkdir(ROOT . 'ip-inc/tmp', 0777); }

//include "lib/insertSQL.php";
//include "lib/phpinfo.php";

EMS::createFolder('ip-templates_c');
EMS::createFolder('ip-admin/tmp');

if(!$db['server']) { $db['server'] = 'localhost'; }
include "header-common.php";

//	$php_version = phpinfo_array(true);
	$php_version = phpversion(); 

	if($php_version < 5) { 
		$warning = "You are using PHP version ". $php_version['PHP Configuration']['PHP Version'] . ", please use PHP 5 or above."; 
	}
	$curl_test = EMS::curl('http://easymediascript.com/remote/curl_test');
	//$output = "OK";
	preg_match('#OK#',$curl_test,$curl_match);
	if(!$curl_match) {
		$warning = "You don't have cURL installed on the server.";
	}
	
	// check for GD support
	if (!function_exists("gd_info")) {	
		$error = 'GD library has not been installed on the server.';
	}

?>
<script>
	var step = 1;
	$(function() {
		$('#publisher_account').change(function() { $('.publisher_box').hide(); $('#'+$(this).val()).fadeIn(); $('#'+$(this).val()+'_publisher').focus(); });
		$('form').submit(function() { $('#continue').fadeOut('fast',function() { $('#wait_area div').hide().html('Please wait ...').fadeIn('fast',function() {
			$.post('install.php','step='+step+'&'+$('form').serialize(),function(data) {
				var results = $.parseJSON(data);
				if(results.error || results.success) { $('#wait_area div').hide(); $('#continue').fadeIn(); }
				if(results.error) { $('.error').html(results.error).fadeIn(); }
				if(results.success) {
					$('.error, .step').hide();
					step++;
					$('#step'+step).fadeIn();
					if(step == 2) { $('#steps_active').css('width','162px'); $('#check_database').focus(); }
					if(step == 3) { $('#steps_active').css('width','288px'); $('#create_admin').focus(); }
				}
				if(results.complete) { window.location = 'index.php'; }
			});
		}); 
		}); 
		return false; 
		});
		$('#new_publisher').focus();
	});
</script>
<link rel="stylesheet" type="text/css" href="css/login.css" />
<style>
span.block { padding: 8px }
#steps, #steps_active { background: url(img/steps.png) no-repeat; background-position: 0 -43px; height: 43px; width: 288px; display:block; margin: 5px auto;}
#steps_active { background-position: 0 0; margin:0  }
.error { margin: 5px 15px }
</style>

<!--[if IE]>
<STYLE type="text/css">
#container { position: relative; }
#content { position: relative; top: -50%; }
</STYLE>
<![endif]-->

<div id="container">
	<div id="position">
		<div id="wrapper">
			<div id="login_form">

				<form> 

				<div class="c">	
				<img src="img/ems-logo-large.png" />
				<div id="steps"><div id="steps_active" style="width: 42px"></div></div>
				</div>
				
				<noscript><div class="error"><strong>Error!</strong><br />You have javascript disabled, installation cannot proceed.</div></noscript>
				
				<div class="error" <?php if(!$error) { ?>style="display:none"<?php } ?>><strong>Error!</strong><p><?php echo $error?></p></div>
				<div class="warning" <?php if(!$warning) {?>style="display:none"<?php } ?>><strong>Warning</strong><p><?php echo $warning?></p></div>
				
				<div id="step1" class="step">
				<select name="publisher[account]" id="publisher_account">
					<option value="new">Create an EMS Account</option>
					<option value="existing">Use existing EMS Account</option>
				</select>
				
				<div style="display:none" id="existing" class="publisher_box">
				<span class="block"><label><b>E-mail</b><input type="text" id="existing_publisher" name="publisher[existing][email]" class="txt" /></label></span>
				<span class="block"><label><b>Password</b><input type="password" name="publisher[existing][pass]" class="txt" /></label></span>
				</div>
				<div id="new" class="publisher_box">
				<span class="block"><label><b>E-mail</b><input type="text" id="new_publisher" name="publisher[new][email]"  /></label></span>
				<span class="block"><label><b>Password</b><input type="password" name="publisher[new][pass]" class="txt" /></label></span>
				<span class="block"><label><b>Confirm Password</b><input type="password" name="publisher[new][cpass]" class="txt" /></label></span>
				</div>
				</div>
				
				<div id="step2" class="step" style="display:none">
				<h2>Database info</h2>
				<span class="block"><label><b>Server</b><input type="text" name="db[server]" class="txt" id="check_database" value="<?php echo $db['server']?>" /></label></span>
				<span class="block"><label><b>Database Username</b><input type="text" name="db[user]" class="txt" value="<?php echo $db['user']?>"  /></label></span>
				<span class="block"><label><b>Database Password</b><input name="db[pass]" type="password" class="txt" value="<?php echo $db['pass']?>" /></label></span>
				<span class="block"><label><b>Database Name</b><input type="text" name="db[name]" class="txt"  value="<?php echo $db['name']?>" /></label></span>
				</div>
				
				<div id="step3" class="step" style="display:none">
				<h2>Create an admin</h2>
				<span class="block"><label><b>Create a username</b><input type="text" name="admin[user]" class="txt" id="create_admin" value="<?php echo $admin['user']?>"/></label></span>
				<span class="block"><label><b>Choose a password</b><input type="password" name="admin[pass]" class="txt" value="<?php echo $admin['pass']?>" /></label></span>
				<span class="block"><label><b>Confirm your password</b><input type="password" name="admin[cpass]" class="txt" value="<?php echo $admin['cpass']?>" /></label></span>
				</div>

				<div class="clear"></div>

				<span id="wait_area" class="block"><div></div><input type="submit" value="Continue &raquo;" class="button green r" id="continue" /></span>

</form>
<div class="clear"></div>
</div>
</div>
</div>
</div>
<div class="clear"></div>
</body>
</html>