var loaded_media = false;

function displayMedia() {

postFeed(); 
$('#mediascroll').unbind('scroll').scroll(function () { 
 if ($('#mediascroll').scrollTop() + $('#mediascroll').height() >= $('#scroller').height() - 10) {
      //Add something at the end of the page
      displayMedia();
   }
  });

}


function preload(arrayOfImages) {
    $(arrayOfImages).each(function(){
        $('<img/>')[0].src = this;
        // Alternatively you could use:
        // (new Image()).src = this;
    });
}

/*
function resetClick() {
	formSubmitted = 0;
	unbindClick(); bindClick();
}
*/
function postMedia(method,type,refresh) {
	_loading.open();
	if(method == 'add') {
		$.post(method + '.php',$('#'+type+'_form').serialize(),function() { status('Media added successfully!'); postFeed(true); _loading.close(); });
	} else {
		$.post('edit.php',$('#'+type+'_form').serialize() + "&" + $('#fields_form').serialize() + '&' + getSelected(),function(data) { complete(data); checkboxes(); _loading.close(); if(refresh) { postFeed(true); } });
	}
}

function importQueue(queue) {
	if(queue) {
	$.post('import.php','queue='+queue,function(results) { 
		if(results) {
			media_count += results.files;
			is_local = results.local;
			percent = results.percent;
			import_status = results.status;
		} else {
			percent = 100;
			import_status = 1;
		}
		if(is_local) { 
			$('#loadingBox #status').html(media_count+' uploaded');
		} else {
//			$('#loadingBox #status').html(percent+'% done');
			//$('#upload_progress').progressbar({ value: percent });
			_loading.progress({progress: percent});
		}
		if(import_status == 1) {
			status('Import completed!!');
			$('#url_src').val('');
			displayMedia();
		} else {
			importQueue(queue);
		}
	},'json');
}
}
		
		
function startImport(queue_amount) {
	//$('#upload_progress').show().progressbar( { value: 1});
	//$('#add_import').fadeOut();
	importQueue(queue_amount);
}



function ajaxFileUpload(method,src, type, fn)
	{
		$.ajaxFileUpload
		(
			{
				url: method + '.php?thumbnail=true&id='+$('#'+type+"_id").val(),
				secureuri:false,
				fileElementId: src,
				dataType: 'json',
				success: function (data, status)
				{
					if(typeof(data.error) != 'undefined')
					{
						if(data.error != '')
						{
							//console.log(data.error);
							return false;
						}
					}
					//console.log(data);
					//return data;
					$('.folder').val(data.folder);
					$('#'+src+'_results').val(data.filename);
					$('.w').val(data.w);
					$('.h').val(data.h);
					$('.s').val(data.s);
					if(fn) { fn(); }

				},
				error: function (data, status, e)
				{
					//console.log(e);
				}
			}
		)
		
		return false;

	}


function enterSubmit() {
$('input').keypress(function(event) {
	if (event.keyCode == '13') {
	$('form').submit();
	}
	});
}

function clearKeyDown() {
	multipleSelect = false; $('#showImages').selectable( "destroy" );
}

// Delete media and galleries
function deleteSelected() {
	// media
	if(getSelected()) { 
		_loading.open(); 
		if(_gallery.id == 0 || $('#remove_file').attr('checked')) {
			$.post('delete.php',"type="+type+"&"+getSelected(),function(data) { 
				deleteThumbs(); 
				selectNone(); 
				_loading.close();
			});
		} else {
			$.post('galleries.php',"action=remove_media&gallery_id="+_gallery.id+"&"+getSelected(),function(data) { 
				deleteThumbs(); 
				selectNone(); 
				_loading.close();
			});
		}
	}

	// galleries
	if(getSelectedGalleries()) { 
		_loading.open();
		$.post('galleries.php',"action=remove&"+getSelectedGalleries(),function(data) { 
			status(data);
			_loading.close();
		}); 
	}
}




function getDate() {
	return Math.round(new Date().getTime() / 1000);
}


function deleteBlogs() {
	$('.blog').each(function() {
	if($(this).attr('checked')) {
		$.post('blog.php','remove='+$(this).val(),function() { status('Blog post removed'); });
		$('#posts .'+$(this).val()).fadeOut('fast');
	}
	
	});

}


function goodbye(e) {
	if(importStarted > 0) {
	if(!e) e = window.event;
	//e.cancelBubble is supported by IE - this will kill the bubbling process.
	e.cancelBubble = true;
	e.returnValue = 'You sure you want to leave? Your imported images might not be finished.'; //This is displayed on the dialog

	//e.stopPropagation works in Firefox.
	if (e.stopPropagation) {
		e.stopPropagation();
		e.preventDefault();
	}
	}//end import boolean
}//end goodbye function


//*
function unbindClick() {
//	$('.page').unbind('click');
	$('.preview').unbind('click');
	$('.preview').unbind('dblclick');
//	$('.button').unbind('click');
}

function bindClick() {
//		$('.page').bind('click',pageClick);
        $('.preview').bind('click',imageClick);
        $('.preview').bind('dblclick',imageDblClick);
       // $('.thumb').bind('mouseover',infoShow).bind('mouseout',infoHide);
        //$('.button').bind('click',buttonClick);
}

/*
function pageClick() {
		page = $(this).attr('rel'); postFeed(true);
}
//*/

function selectNone() {
$('.thumb, .boxcaption').removeClass('selected').removeClass('ui-selected'); 
$('.checkbox').attr('checked',false); 
// $('#approve b').html('Approve All');
// $('#disapprove b').html('Disapprove All');
selectStatus();
selected_amount = false;
}

function selectAll() {
$('.thumb, .boxcaption').removeClass('selected').removeClass('ui-selected'); 
$('.checkbox').attr('checked',false); 
if(!$('.thumb, .boxcaption').hasClass('selected')) { $('.thumb, .boxcaption').addClass('selected'); }
$('.checkbox').attr('checked',true); 
//selectStatus();
imgid = getSelectedArray()[0];
}

function selectStatus() {
	if(getSelectedArray().length > 0) {
		selected_amount = "Selected " + getSelectedArray().length + " " + type + "s";
		ministatus(selected_amount);
	} else {
		ministatus('');
	}
}



function complete(message) {
	status(message,'success');
}

function status(message,status_class) {
	if(!status_class) { var status_class = 'success'; }
	$('#ems_status #message').html(message);
	$('#ems_status').attr('class','').addClass(status_class).slideDown('fast');
	_loading.close();
	_dialog.close();
	//setTimeout(function(){ status_close(); }, 5000);
}

function status_close() {
	$('#ems_status').slideUp('fast',function() { $('#ems_status #message').html('') });
}

function ministatus(message) {
	$('#ems_mini_status p').html(message);
}

function imageClick() {
imgid = $(this).attr('id'); 
var imghref = $(this).attr('href');

if(!multipleSelect) {
$('.boxcaption, .thumb, #thumb'+imgid).removeClass('selected').removeClass('ui-selected'); 
$('.checkbox').attr('checked',false); 
}
if(!$('#thumb'+imgid).hasClass('selected')) { 
$('#thumb'+imgid+',#thumb'+imgid+' .boxcaption').addClass('selected'); 
$('#checkbox'+imgid).attr('checked',true); 
} else { 
$('#thumb'+imgid+',#thumb'+imgid+' .boxcaption').removeClass('selected'); 
$('#checkbox'+imgid).attr('checked',false); 
}

return false;
}



function imageDblClick() {
var fancyboxType;
var self = $('#'+imgid);

if(!$('#thumb'+imgid).hasClass('selected')) { 
$('#thumb'+imgid+',#thumb'+imgid+' .boxcaption').addClass('selected'); 
$('#checkbox'+imgid).attr('checked',true); 
}

if(type == 'image') { fancyboxType = 'image'; } else { fancyboxType = false; }

$.fancybox({
	'href': $(self).attr('href'),
	speedIn: 0,
	speedOut: 0,
	padding:0,
	overlayShow: true, 
	overlayOpacity: .5,
	overlayColor: '#000',
//	titlePosition 		: 'inside',
//	titleShow : false,
//	titleFormat		: formatTitle,
	//hideOnOverlayClick: false,
	cyclic : true,
	margin: 20,
	//hideOnContentClick: true,
	centerOnScroll: true,
	type: fancyboxType,
	'showCloseButton'	: false,
	'titlePosition' 		: 'outside',
	'titleFormat'		: formatTitle,
	'onComplete': function() {
		positionTitle();
	} 
	//onStart: function(selectedArray,selectedIndex) { id = selectedArray[selectedIndex]; },
//	onComplete: function() {   },
	//onClosed: function() { $(self).unbind('click.fb'); }
});

return false;
}//end
		
function positionTitle() {
	$("#fancybox-title").css({'background':'#000', 'top':'-25px', 'bottom':'auto'});
}		
				
function reset() {
$('.pageNumbers').html('');
$('#showImages').html('');
}

function formatTitle(title, currentArray, currentIndex, currentOpts) {
    return '<div id="mediaTitle"><span><a href="javascript:;" onclick="$.fancybox.close();"><img src="img/closelabel.gif" /></a></span></div>';
}


function getSelected() {
	return $('#showImages input:checkbox').serialize();
}

function getSelectedArray() {
	var query_string = []; 
	$("#showImages input:checkbox").each( 
    function() 
    { 
        if ($(this).attr('checked')) 
        { 
            query_string.push($(this).val()); 
        } 
    });
    return query_string;
}




function imageArray() {
	var query_string = []; 
	$("#showImages input:checkbox").each( 
    function() 
    { 
      query_string.push($(this).val()); 
    });
    return query_string;
}



function submitForm(location,postParams,resetImages) { 					
					_loading.open();
						$.post(location+'.php',"type="+type+"&"+getSelected()+"&"+postParams,function(data) { 
							$('.gallery_checkbox').attr('checked',false);
							$.fancybox.close();
							if(resetImages) {  postFeed(true);  }
							if(data) { status(data, 'success'); }
							_loading.close();
						});
				} //end submitForm function

function deleteThumbs() {
	var formID = "images"; 
	//startAmount = imageArray(formID).length - getSelectedArray(formID).length;
	//startAmount = feedAmount - getSelectedArray(formID).length;
	//feedAmount = getSelectedArray(formID).length;
	var thumbTotal = getSelectedArray().length;
	removed = 0;
	for(i=0;i<getSelectedArray(formID).length;i++) {
		$('#thumb'+getSelectedArray(formID)[i]).fadeOut('fast',function() { 
			$(this).find('input').remove(); 
			removed++; 
			if(removed >= thumbTotal) { 
				removed = 0;
				//console.log(removed);
				//console.log(thumbTotal);
			//	feedAmount = calculate(); 
				postFeed(); 
				$('.checkbox').attr('checked',false); 
			} 
		});
	}	
}

function prefill() {
			$('.prefill').addClass("idleField");
       		$('.prefill').focus(function() { 
       			$(this).removeClass("idleField").addClass("focusField");
    		    if (this.value == this.defaultValue){ 
    		    	this.value = '';
				}
				if(this.value != this.defaultValue){
	    			this.select();
	    		}
    		});
    		$('.prefill').blur(function() {
    			
    		    if ($.trim(this.value) == ''){
    		    $(this).removeClass("focusField").addClass("idleField");
			    	this.value = (this.defaultValue ? this.defaultValue : '');
				}
    		});
}



function assignIcon(action,type) {
	for(i=0;i<getSelectedArray().length;i++) {
	
	var id = $('#thumb'+getSelectedArray()[i]).find('.'+type);

	id.removeClass('hide').removeClass('show');
	if(action == 'add') {
		// add icon
		id.addClass('show');
	} else if(action == 'remove') {
		// remove icon
		id.addClass('hide');
	}
	
	}//end for loop
}//end assignIcon


function setApprove(all) { if(all) { _loading.open(); submitForm('set','approveall=1'); selectAll(); assignIcon('add','approved'); selectNone(); _loading.close(); } else { submitForm('set','approve=1'); assignIcon('add','approved'); } }
function setDisapprove(all) { if(all) { _loading.open(); submitForm('set','disapproveall=1'); selectAll(); assignIcon('remove','approved'); selectNone(); _loading.close(); } else { submitForm('set','disapprove=1'); assignIcon('remove','approved'); } }

function buttonClick() {
	if(formSubmitted == 0) { 
	if($(this).hasClass('submitButton')) { 
		$(this).closest('form').append('<input type="hidden" name="'+$(this).attr('id')+'" value="1" />');
		$(this).closest('form').submit(); 
		formSubmitted = 1;
		$('.button').addClass('disabled'); 
	} 
}
$(this).blur();  
return false; 
}

function updateView() {
	resetVars();
	filter = $('#view_by').val();
	if($('#order_by').val()) { by = $('#order_by').val(); }
	if($('#sort_by').val()) { order = $('#sort_by').val(); }
	if($('#page_jump_input').val() > 0) { page = $('#page_jump_input').val(); }
	postFeed(true);
}

function postSearch() {
search = $('#searchInput').val(); postFeed(true); return false;
}


function fnGetSelected( userTableLocal )
{
	var aReturn = new Array();
	var aTrs = userTableLocal.fnGetNodes();
	
	for ( var i=0 ; i<aTrs.length ; i++ )
	{
		if ( $(aTrs[i]).find('input').attr('checked') == true )
		{
			aReturn.push( aTrs[i] );
		}
	}
	return aReturn;
}