
var _dialog = new Object();

function popup(href, options) {
	_loading.open();
	clearKeyDown();
	if(!options) { var options = {}; }
	if(!options.params) { options.params = ''; }
	if(!options.width) {
		_dialog.width = 'auto';
	} else {
		_dialog.width = options.width;
	}
	/*
	if(!options.height) {
		_dialog.height = $('#wrapper').height();
	} else {
		_dialog.height = options.height;
	}
	*/
	if(href.text) { 
		_dialog.open(href.text, options);
	} else if(href.id) {
		//_dialog.width = 'auto';
		_dialog.open($('#'+href.id).html(), options);
	} else {	
		if(options.post) {
			$.post(href,"type="+type+"&"+getSelected()+"&"+options.params,function(data) { if(data) { _dialog.open(data, options); } else { _loading.close(); } });
		} else {
			$.get(href,"type="+type+"&"+getSelected()+"&"+options.params,function(data) { if(data) { _dialog.open(data, options); } else { _loading.close(); } });
		}
	}
	return false;	
}

$(function() {
	
	_dialog.box = $('<div id="dialog" title=""></div>').dialog({ autoOpen: false, draggable: false, open: function(event, ui) { _dialog.isopen = true; } , close: function(event, ui) { _dialog.isopen = false; }, modal: true });
	_dialog.close = function() { if(_dialog.isopen) { _dialog.box.dialog('close'); } }
	_dialog.refresh = function() {  if(_dialog.isopen) { _dialog.box.dialog("option", "width", _dialog.width);  _dialog.box.dialog("option", "height", _dialog.height); _dialog.box.dialog({position: 'center'}); } if(!_dialog.loading) { $('.ui-dialog-titlebar').show(); } }
	
	_dialog.open = function(data,options) {
		_loading.close();		
		var button_area;
		if(!data) { var data = {}; }
		if(!options) { var options = {} }
		if(options.buttons) { button_area = options.buttons } 
		//else { button_area = {Close: function() { _dialog.close(); } }; }
		_dialog.box.html(data).dialog({
			autoOpen: true,
			buttons: button_area,
			title: options.title,
			resizable: options.resizable
		});
		if(options.buttons){
			$(".ui-dialog-buttonpane button:first").css('float','right');
			$(".ui-dialog-buttonpane button:last").css('float','left');
		}
		_dialog.refresh(); // recenter position
		if(options.fn) { options.fn(); }
	}

});
