<?php
include "inc.php";
Security::check('admin');

$secret_key = Options::$option['secret_key'];

if($_POST) {
	if(Options::$option['demo'] == 1) {
		EMS::alert('success','Demo mode, no actions have been taken.','system.php');
		return;
	}
}

if($_POST['rebuild_media']) {
Database::addmedia();
EMS::alert('success','Media added to database');
}

if($_POST['update_database']) {
$message = Database::update();
Database::migrate('ip_images');
Database::migrate('ip_videos');
Database::set_thumbnail();
//$message['success'] = "Database updated";
EMS::alert('success',$message);
unset($_SESSION['upgrade']);
$secret_key = md5(time());
MYSQL_QUERY("UPDATE ip_options SET val = '".$secret_key."' WHERE namespace = 'secret_key' AND val = ''");
MYSQL_QUERY("UPDATE ip_sitestats SET val = '$script[version]' WHERE namespace = 'version'");
}
include "header-common.php";
include "header.php";
/*
ini_set('upload_max_filesize', '10M');  
ini_set('post_max_size', '10M');  
ini_set('max_input_time', 300);  
ini_set('max_execution_time', 300);  
//*/
?>
<script>
$(function() {
	$('.do_loading').click(function() { _loading.open(); });
});
</script>
<div id="wrapper">

<div class="setting">
<div class="name"><b>Current Version: </b></div><div class="input"><i><input type="text" class="txt readonly" value="<?php echo EMS::version()?>" readonly /></i></div>
</div>

<div class="setting">
<div class="name"><b>Postback URL: </b></div>
<div class="input"><input type="text" value="<?php echo EMS::domain() . "ip-cron.php?key=" . Options::$option['secret_key']?>" size="40" onclick="this.select()" readonly /></div>
</div>

<div class="setting">
<div class="name"><b>Max Post filesize</b></div><div class="input"><i><input type="text" class="txt readonly" value="<?php echo EMS::bytes(EMS::toBytes(ini_get('post_max_size')));?>" /></i></div>
</div>

<div class="setting">
<div class="name"><b>Max Upload filesize</b></div><div class="input"><i><input type="text" class="txt readonly" value="<?php echo EMS::bytes(EMS::toBytes(ini_get('upload_max_filesize')));?>"/></i></div>
</div>

<div class="setting">
<div class="name"><b>Upload Time Limit</b></div><div class="input"><i><input type="text" class="txt readonly" value="<?php echo  ini_get('max_execution_time'); ?> seconds"/></i></div>
</div>

<div class="setting">
<div class="name"><b>Cron Command</b></div>
<div class="input"><i><input type="text" value="php -q <?php echo ROOT."ip-cron.php?key=" . $secret_key?>" size="40" onclick="this.select()" readonly/></i></div>
</div>

<div class="setting">
<div class="name"><b>RSS:</b></div><div class="input"> <input type="text" value="<?php echo EMS::domain() . $nav['rss']?>" readonly onclick="this.select()" /></div>
</div>

<div class="setting">
<div class="name"><b>Document Root:</b></div>
<div class="input"><input type="text" value="<?php echo DOC_ROOT?>" readonly onclick="this.select()" /></div>
</div>

<div class="setting">
<div class="name"><b>Absolute Path:</b></div>
<div class="input"><input type="text" value="<?php echo ROOT?>" readonly onclick="this.select()" /></div>
</div>

</div>
<div class="clear"></div>

<?php include "footer.php"; ?>