<?php
class Cookie
{

	public function set( $name, $value ){ 
		$cookie_value = $value;
		if(is_array($_COOKIE[$name]) && !is_array($value)) { # merging non-array value with array
				$cookie_value = $_COOKIE[$name];
				$cookie_value[] = $value;
		}
		$cookie_string_value = serialize($cookie_value);
		if(!headers_sent()){
			setcookie($name, $cookie_string_value);
		}
	}
	
	public function destroy( $name ) {
		if(!headers_sent()){
			setcookie ($name, "", time() - 3600);
		}
	}
	
	public function get($name) { 
		return unserialize($_COOKIE[$name]);
	}
	
	public function exists($name, $value = false) {
	
		if($value) {
			if(is_array($_COOKIE[$name]) && !is_array($value)) { # checking non-array value with array
				$array = $_COOKIE[$name];
				if(in_array($value,$array)) {
					return true;
				} else {
					return false;
				}
			} else {
				if($_COOKIE[$name] == $value) {
					return true;
				} else {
					return false;
				}
			}
		}
		
		if(!$value) {
			if($_COOKIE[$name]) {
				return true;
			} else {
				return false;
			}
		}
	}


}