<?php
class Galleries {

	function __construct() { }
	
	public static $gallery_details;
	public static $type;
	public static $results;
	public static $error;
	public static $menu;
	
	public function create($gallery,$gallery_values) {
	
		Galleries::$results['type'] = 'success';

	if($gallery_values['name']) {
	
		$gallery_values['url'] = EMS::clean_url($gallery_values['name']);
		
		Galleries::check($gallery_values);

		if(!Galleries::$error) { //new without errors
					
					MYSQL_QUERY("INSERT INTO ip_category(cat_url,cat_name,cat_parent_id,cat_description,is_nws,cat_widget,cat_type,active,ip) VALUES('".EMS::e($gallery_values['url'])."','".EMS::e($gallery_values['name'])."','".$gallery_values['parent_id']."','".EMS::e($gallery_values['description'])."','".$gallery_values['nws']."','".EMS::e($gallery_values['widget'])."','".$gallery_values['type']."','".$gallery_values['active']."','".EMS::ip()."')"); 
					if($gallery_values['parent_id'] > 0) {
						MYSQL_QUERY("UPDATE ip_category SET sub_count = sub_count+1 WHERE cat_id = '".$gallery_values['parent_id']."'");
					}
					$gallery['id'] = MYSQL_INSERT_ID();
					Galleries::$results['msg'] = 'Gallery <b>'.$gallery_values['name'].'</b> added'; 
					Galleries::$results['id'] = $gallery['id']; 
					Galleries::$results['name'] = $gallery_values['name']; 
			} // end error check
		
	} else {
		Galleries::$results['msg'] = "Please specify a gallery name.";
		Galleries::$results['type'] = 'error';
	}
		
		return Galleries::$results;

	}//end create()
	
	
	public function check($gallery, $force_create = false) {
		
		if($gallery['url']) { // check for duplicates
			$q = MYSQL_QUERY("SELECT cat_id FROM ip_category WHERE cat_url = '".$gallery['url']."' AND cat_parent_id = '".$gallery['parent_id']."'");
			$c = MYSQL_NUM_ROWS($q);
				if($c > 0) {
				
			if($force_create) {
				$counter = 1;
				while(true) {
					$q = MYSQL_QUERY("SELECT cat_id FROM ip_category WHERE cat_url = '".$gallery['url']. $counter ."' AND cat_parent_id = '".$gallery['parent_id']."'");
					$c = MYSQL_NUM_ROWS($q);
					if($c == 0) { Galleries::$results['url'] = $gallery['url'] . $counter; } else { $counter++; }	
				}
			}
					Galleries::$error = true;
					Galleries::$results['type'] = 'error';
					Galleries::$results['msg'] = "Gallery \"<b>" . stripslashes(strip_tags($gallery['name'])) . "</b>\" already exists";
					//return $results;
				}
			}
	}
	
	public function activate($gallery_id_array, $active = 0) {
	
		if($gallery_id_array) {
			foreach($gallery_id_array as $gid) {
				MYSQL_QUERY("UPDATE ip_category SET active = '".$active."' WHERE cat_id = '".$gid."'");
			}
		}
		
		return $gallery;
	
	}
	
	
	public function update($gallery,$gallery_values) {
			if($gallery['id'] > 0 && $gallery_values['name']) { 
				if($gallery['id'] != $gallery_values['parent_id']) { // make sure that the gallery can't be it's parent
				$oldParentQuery = MYSQL_QUERY("SELECT cat_parent_id FROM ip_category WHERE cat_id = '".$gallery['id']."'");
				while($p = MYSQL_FETCH_ARRAY($oldParentQuery)) {
					$oldParentID = $p['cat_parent_id'];
				}
				if($oldParentID > 0) {
					MYSQL_QUERY("UPDATE ip_category SET sub_count = sub_count-1 WHERE cat_id = '$oldParentID' AND sub_count > 0");
				}
				if($gallery['parent_id'] > 0) { // placed as a sub category
					MYSQL_QUERY("UPDATE ip_category SET sub_count = sub_count+1 WHERE cat_id = '".$gallery_values['parent_id']."'");
				}
				
				Galleries::check($gallery);
				
				if(Galleries::$results['url']) { $gallery_values['url'] = Galleries::$results['url']; }
				
				if(!$gallery_values['url']) { $gallery_values['url'] = EMS::clean_url($gallery_values['name']); }
				
				MYSQL_QUERY("UPDATE ip_category SET cat_name = '".EMS::e($gallery_values['name'])."', cat_parent_id = '".$gallery_values['parent_id']."', cat_description = '".EMS::e($gallery_values['description'])."', cat_url = '".EMS::e($gallery_values['url'])."', cat_widget = '".EMS::e($gallery_values['widget'])."', active = '".$gallery_values['active']."', cat_type = '".$gallery_values['type']."', is_nws = '".$gallery_values['nws']."' WHERE cat_id = '".$gallery['id']."'");
				Galleries::$results['msg'] = 'Gallery Updated';
				} else {
				Galleries::$results['type'] = 'error';
				Galleries::$results['msg'] = "Gallery cannot be set to it's own parent";
				}
				return Galleries::$results;
			}
	}
	
	

	public function deleteById($gallery_id) {
		$getParentID = MYSQL_QUERY("SELECT cat_parent_id FROM ip_category WHERE cat_id = '$gallery_id'");
		while($p = MYSQL_FETCH_ARRAY($getParentID)) { 
			$parentID = $p['cat_parent_id'];
			if($parentID > 0) { 
				MYSQL_QUERY("UPDATE ip_category SET sub_count = sub_count-1 WHERE cat_id = '$parentID' AND sub_count > 0");
			}
		}
		
		$find_gallery_id = $gallery_id;

		//find other galleries so they don't get lost in the table
		while(true) {
			$select = MYSQL_QUERY("SELECT cat_id FROM ip_category WHERE cat_parent_id = '$find_gallery_id'");
			$count = MYSQL_NUM_ROWS($select);
			if($count == 0) { break; }
			while($g = MYSQL_FETCH_ARRAY($select)) {
				$find_gallery_id = $g['cat_id'];
			}
			MYSQL_QUERY("DELETE FROM ip_category WHERE cat_id = '$find_gallery_id' LIMIT 1");
		}
		
		
		MYSQL_QUERY("DELETE FROM ip_category WHERE cat_id = '$gallery_id' LIMIT 1");
		MYSQL_QUERY("DELETE FROM ip_category WHERE cat_parent_id = '$gallery_id'");
		MYSQL_QUERY("DELETE FROM ip_gallery WHERE cat_id = '$gallery_id'");
		
		

		//$results['msg'] = "Gallery removed";
		//return $results;
	} // end deleteById
	
	public function find($id) { // find galleries that the media is located in
	$results = MYSQL_QUERY("SELECT cat_id FROM ip_gallery WHERE i = '".$id."'");
	while($r = MYSQL_FETCH_ARRAY($results)) {
		$cat_id[] = $r['cat_id'];
	}
	$count = 0;
	if($cat_id) {
		$select = "SELECT cat_id,cat_name FROM ip_category WHERE ";
		foreach($cat_id as $category_id) {
			if($count == 0) {
				$select .= " cat_id = '".$category_id."' ";
			} else {
				$select .= " OR cat_id = '".$category_id."' ";
			}
			$count++;
		}
		$query = MYSQL_QUERY($select);
		while($g = MYSQL_FETCH_ARRAY($query)) {
			$galleries[$g['cat_id']] = EMS::ss($g['cat_name']);
		}
	}
	return $galleries;
	}
	
	public function findID($gallery_path) {
	$smarty = Template::$smarty;
	$current['gallery'] = $gallery_path;
	$gallery_array = explode('/',rtrim($gallery_path,'/'));
	$gallery_id = 0;
	if($gallery_array) {
		foreach($gallery_array as $gallery_url) {
			$select = MYSQL_QUERY("SELECT cat_id FROM ip_category WHERE cat_parent_id = '".$gallery_id."' AND cat_url = '".$gallery_url."'");
			while($s = MYSQL_FETCH_ASSOC($select)) {
				$gallery_id = $s['cat_id'];
			}
		}
	}
	$smarty->assign('current',$current);
//		print_r($gallery_array);

	return $gallery_id;
	}
	
	
	
	public function widget($gallery_id) {
	global $galleriesArray;
	// check to see if the user already completed it
	$select = MYSQL_QUERY("SELECT time_completed FROM ip_survey WHERE ip = '".EMS::ip()."' AND gallery_id = '$gallery_id'");
	$count = MYSQL_NUM_ROWS($select);
		if($count == 0) { 
			$subID = "subid=".$gallery_id."|".$ip;
			echo str_replace('pubid=',$subID.'&pubid=',$galleriesArray[$gallery_id]['widget']);
		} 
	} // end function galleryWidget
	
	public function get_parent($gallery_id) {
		$check = MYSQL_QUERY("SELECT * FROM ip_category WHERE cat_id = '".$gallery_id."' ");
		$count = MYSQL_NUM_ROWS($check);
		if($count > 0) {
		while(true) {
			if($gallery_id > 0) {
				$select = MYSQL_QUERY("SELECT * FROM ip_category WHERE cat_id = '$gallery_id'");
				while($s = MYSQL_FETCH_ARRAY($select)) {
					$gallery_id = $s['cat_parent_id'];
					$gallery['url'] = $s['cat_url'];
					$gallery['id'] = $s['cat_id'];
					$gallery['name'] = EMS::ss($s['cat_name']);
				}
				$galleries[] = $gallery;
			} else {
				break;
			}
		}
		if($galleries) {
			krsort($galleries);
		}
		}
		return $galleries;
	}

	
	// gather all galleries
	public function get($get_gallery_id = false, $ems_parent_gallery = false) {
		$smarty = Template::$smarty;
		$nav = Navigation::$go;
		$counter = 0;

		if($get_gallery_id > 0) { $query[] = " cat_id = '".$get_gallery_id."' "; } 
		if($ems_parent_gallery) { $query[] = " cat_parent_id = 0 "; }
		if(Options::$option['demo'] == 1) { $query[] = " ip = '".EMS::ip()."' "; }
		
		if(Galleries::$type) {
			$type_id = EMS::get_type_id(Galleries::$type);
			$query[] = " cat_type = '".$type_id."' "; 
		}

		$select_query = "SELECT * FROM ip_category ";
		if($query) {
			foreach($query as $query_statement) {
				if($counter == 0) { $select_query .= " WHERE "; } else { $select_query .= " AND "; } 
				$select_query .= $query_statement;
				$counter++;
			} 
		}
		$select_query .= " ORDER BY cat_name ";

		$select = MYSQL_QUERY($select_query) or null;
		$id = 0;
		if($select) {
		while($d = MYSQL_FETCH_ARRAY($select)) { 
			$id++;
			$gallery_id = $d['cat_id'];
			$gallery_details['name'] = EMS::ss($d['cat_name']);
			$gallery_details['id'] = $gallery_id;
			if($d['cat_parent_id'] == 0) { $galleryList[$d['cat_url']] = EMS::ss($d['cat_name']); }
			if($d['image_cover']) { 
				$gallery_array[$gallery_id]['cover_id'] = $d['image_cover']; 
			}

			if($d['cat_parent_id'] > 0) {
				$gallery_sub[$d['cat_parent_id']][$gallery_id] = EMS::ss($d['cat_name']);
			} else {
				$gallery_parent[$d['cat_parent_id']][$gallery_id] = EMS::ss($d['cat_name']);
			}
			
			$gallery_menu[$id]['name'] = EMS::ss($d['cat_name']);
			$gallery_menu[$id]['id'] = EMS::ss($d['cat_id']);
				
			$gallery_array[$gallery_id]['id'] = $gallery_id;		
			$gallery_array[$gallery_id]['name'] = EMS::ss($d['cat_name']);
			$gallery_array[$gallery_id]['url'] = $nav['gallery'] . $d['cat_url'];
			$gallery_array[$gallery_id]['parent_id'] = $d['cat_parent_id']; 
			$gallery_array[$gallery_id]['active'] = $d['active']; 
			$gallery_array[$gallery_id]['nws'] = $d['is_nws'];
			$gallery_array[$gallery_id]['type'] = $d['cat_type'];
			$gallery_array[$gallery_id]['widget'] = EMS::ss($d['cat_widget']); 
			$gallery_array[$gallery_id]['description'] = EMS::ss($d['cat_description']); 
			$gallery_array[$gallery_id]['image_count'] = $d['image_count']; // number of images in gallery (not including sub gallery images)
			$gallery_array[$gallery_id]['video_count'] = $d['video_count']; // number of videos in gallery (not including sub gallery videos)
			$gallery_array[$gallery_id]['sub_categories'] += $d['sub_count']; // number of sub galleries
			
		} //end while loop
		$template_gallery = $gallery_array;
			if($template_gallery) {
				foreach($template_gallery as $template_gallery_id => $template_array) {
					if($template_array['active'] == 0) {
						unset($template_gallery[$template_gallery_id]);
					}				
				}
			}
			
		if($smarty) {
				$smarty->assign('galleries',$template_gallery); // depreciated $category
				$smarty->assign('gallery_list',$galleryList); // depreciated $categoryList
				$smarty->assign('gallery',$gallery_details); // displays gallery name on template
			}
		
		// gather covers based on id
		if($gallery_array) {
			foreach($gallery_array as $gallery_array_id => $gallery_array_values) {
				if($gallery_array_values['cover_id']) {
					$cover_id[$gallery_array_id] = $gallery_array_values['cover_id'];
				}
			}
		}


		if($cover_id) {
			$cover_query = "SELECT i,thumbnail,filename,folder FROM `ip_media` ";
				$count = 0;
			foreach($cover_id as $c_id) {
				if($count == 0) {
					$cover_query .= " WHERE ";
				} else {
					$cover_query .= " OR ";
				}
				$cover_query .=  " i = '".$c_id."' ";
				$count++;
			}

		$getFilename = MYSQL_QUERY($cover_query) or null;
		if(!$getFilename) { EMS::error(1); return; }
				while($f = MYSQL_FETCH_ARRAY($getFilename)) { 
					$folder = ""; if($f['folder'] > 0) { $folder = $f['folder'] . '/'; } 	
					if($f['thumbnail']) { $thumbnail = $f['thumbnail']; } else { $thumbnail = $f['filename']; } 
					$gallery_cover[$f['i']] = $folder . $thumbnail;
				}
			if($gallery_cover) {				
				foreach($gallery_array as $g_id => $g_array) {
					if($gallery_cover[$gallery_array[$g_id]['cover_id']]) {
						$gallery_array[$g_id]['cover'] = Options::$site['thumb']['url'] . $gallery_cover[$gallery_array[$g_id]['cover_id']];
					}
				}
			}
		}

		$sub_menu = Galleries::subgalleries($get_gallery_id);

		$galleries['menu'] = $gallery_menu;
		$galleries['sub_menu'] = $sub_menu;
		$galleries['parent'] = $gallery_parent;
		$galleries['sub'] = $gallery_sub;
		$galleries['gallery'] = $gallery_array;

		Galleries::$gallery_details = $gallery_array[$get_gallery_id];
		Galleries::$menu = $gallery_menu;
		
			
			
		//Galleries::$menu = Galleries::menu($gallery_array);
			
			
		
		return $galleries;
		} else {
		EMS::error(1);
		}
	}//end get()
	
	
	
	public function menu($gallery_array) {
	
			$outArray = array();
			makeParentChildRelations($gallery_array, $outArray);
			
			print_r($outArray);
			
			makeOptions($outArray, $return_output);
			print_r($return_output);
			
			//exit;
	
	}
	
	
	
	
	public function subgalleries($gallery_id) {
		if(!$gallery_id) { $gallery_id = 0; }
		if(Galleries::$type) { $type_id = EMS::get_type_id(Galleries::$type); }
		$smarty = Template::$smarty;
		$query = "SELECT * FROM ip_category WHERE cat_parent_id = '".$gallery_id."' ";
		if(Galleries::$type) { $query .= " AND cat_type = '".$type_id."' "; }
		if(Options::$option['demo'] == 1) { $query .= " AND ip = '".EMS::ip()."' "; }
		$query .= " ORDER BY cat_url ";
		$select = MYSQL_QUERY($query);
		while($g = MYSQL_FETCH_ARRAY($select)) {
			$galleryID = $g['cat_id'];
			$subgalleries[$galleryID]['url'] = $g['cat_url'];
			$subgalleries[$galleryID]['name'] = $g['cat_name'];		
			if($g['image_cover'] > 0) { $subgalleries[$galleryID]['cover'] = Options::$site['thumb']['url'] . $g['image_cover']; }
		}
		if($smarty) {
			$smarty->assign('subgalleries',$subgalleries);
		}
		return $subgalleries;
	}
	
	
	public function buttons($media, $gallery_id) {
	
		$smarty = Template::$smarty;
		$nav = Navigation::$go;
		if($gallery_id) {	
			$get_date = MYSQL_QUERY("SELECT added FROM ip_gallery WHERE i = '".$media['i']."'");
			while($d = MYSQL_FETCH_ASSOC($get_date)) {
				$date = $d['added'];
			}
			
			$select_next = MYSQL_QUERY("SELECT i FROM ip_gallery WHERE cat_id = '".$gallery_id."' AND added > '".$date."' ORDER BY added ASC LIMIT 1");
			while($n = MYSQL_FETCH_ASSOC($select_next)) {
				$next_id = $n['i'];
				if($next_id != $media['i']) {
					$next['thumb'] = Options::$site['thumb']['url'] . $n['thumbnail'];
					$next['url'] = $nav['location'] . $next_id . $nav['galleryView'] . $gallery_id;
				}				
			}
			
			$select_prev = MYSQL_QUERY("SELECT i FROM ip_gallery WHERE cat_id = '".$gallery_id."' AND added < '".$date."' ORDER BY added DESC LIMIT 1");
			while($p = MYSQL_FETCH_ASSOC($select_prev)) {
				$prev_id = $p['i'];
				if($prev_id != $media['i']) {
					$prev['url'] = $nav['location'] . $prev_id . $nav['galleryView'] . $gallery_id;
				}
			}
			
			if($next['url']) {				
				$select_next_thumbnail = MYSQL_QUERY("SELECT thumbnail,folder FROM ip_media WHERE i = '".$next_id."'");
				while($nt = MYSQL_FETCH_ASSOC($select_next_thumbnail)) {
					$folder = "";
					if($nt['folder']) { $folder = $nt['folder']. '/'; } 
					$next['thumb'] = Options::$site['thumb']['url'] . $folder . $nt['thumbnail'];
				}
			}
			if($prev['url']) {
				$select_prev_thumbnail = MYSQL_QUERY("SELECT thumbnail,folder FROM ip_media WHERE i = '".$prev_id."'");
				while($pt = MYSQL_FETCH_ASSOC($select_prev_thumbnail)) {
					$folder = "";
					if($pt['folder']) { $folder = $pt['folder']. '/'; } 
					$prev['thumb'] = Options::$site['thumb']['url'] . $folder . $pt['thumbnail'];
				}
			}
				
			$smarty->assign('next',$next);
			$smarty->assign('prev',$prev);
		
		}
	
	}
	
	
	public function getMedia($gallery_id = false, $return_query = false) {
	
		$smarty = Template::$smarty;
		$nav = Navigation::$go;
		
		$query = "SELECT * FROM ip_gallery";
		
		if($gallery_id) {
			$query .= " WHERE cat_id = '$gallery_id'";
		}
		
		$select = MYSQL_QUERY($query);
		$count = MYSQL_NUM_ROWS($select);
		if($count > 0) {
		while($g = MYSQL_FETCH_ARRAY($select)) {
			$galleryMedia[] = $g['i'];
		}
	
		if($galleryMedia) {
	
			$query = "SELECT * FROM ip_media";
			$count=0;
			foreach($galleryMedia as $galleryMediaID) {
				if($count==0) { $query.= " WHERE i = '$galleryMediaID'"; } else { $query .= " OR i = '$galleryMediaID'"; }
				$count++;
			}
		}
		
		if($return_query) {
			return $query;
		} else {
			$media = Media::get($query, $gallery_id);
			return $media;
		}
		
		}
	
	}
	
	public function updatecount($gallery_id) {
		if(!Cookie::exists('gallery', $gallery_id)) {
			MYSQL_QUERY("UPDATE ip_category SET cat_hits = cat_hits+1 WHERE cat_id = '".EMS::e($gallery_id)."'");
			if(!Cookie::exists('gallery')) { 
				$gallery[] = $gallery_id;
			} else { 
				$gallery = $gallery_id;
			}
			Cookie::set('gallery', $gallery);
		}
	}
	
	
	public function removeMedia($gallery_id,$media) {
		if($media) {
		foreach($media as $id) {
			MYSQL_QUERY("DELETE FROM ip_gallery WHERE i = '$id' AND cat_id = '".$gallery_id."'");
		}
		$results = "Media removed from gallery"; 
		return $results;
		}
	}//end removeMedia
	
	
	public function set_cover($gallery_id,$media) {	
		//$getFilename = MYSQL_QUERY("SELECT thumbnail,filename,folder FROM `ip_media` WHERE i = '".$media['id']."'");
		//while($f = MYSQL_FETCH_ARRAY($getFilename)) { $folder = ""; if($f['folder'] > 0) { $folder = $f['folder'] . '/'; } if($f['thumbnail']) { $thumbnail = $f['thumbnail']; } else { $thumbnail = $f['filename']; } $filename = $folder . $thumbnail; }
		MYSQL_QUERY("UPDATE ip_category SET image_cover = '".$media['id']."' WHERE cat_id = '".$gallery_id."'");
		return "Cover set";
	}
	
	
	public function check_cover($gallery_id,$media) {
			$q = MYSQL_QUERY("SELECT image_cover FROM ip_category WHERE cat_id = '".$gallery_id."'");
			$c = MYSQL_FETCH_ASSOC($q);
			$imageCover = $c['image_cover'];

			if($imageCover == 0 || !$imageCover) {
				if(!$media['id']) { $media['id'] = $media[0]; }
				Galleries::set_cover($gallery_id,$media);
			}
	
	}
	
	public function total() {
		$count = Database::sql_total('category');
		return $count;
	}
	
	
	function addMedia($gallery_id,$media,$type_id = 0) {
		Galleries::check_cover($gallery_id,$media);
		$timestamp = time();
		
		if($gallery_id > 0 && $media) {
			foreach($media as $media_id) {
				$timestamp++;
				if($media_id > 0) {
					$q = MYSQL_QUERY("SELECT i FROM ip_gallery WHERE i = '".$media_id."' AND cat_id = '".$gallery_id."'");
					$c   = MYSQL_NUM_ROWS($q);
					if($c == 0) {
						MYSQL_QUERY("INSERT INTO ip_gallery(i,cat_id,type_id,added) VALUES('$media_id','".$gallery_id."','$type_id','".$timestamp."')"); 
						//MYSQL_QUERY("UPDATE ip_category SET ".$type."_count = ".$type."_count+1 WHERE cat_id = '".$gallery['id']."'"); 
					}
				}
			}
			Galleries::$results['msg'] = "Media added to gallery";
			Galleries::$results['type']= "success";
		}
		return Galleries::$results;
	}//end addMedia
	
	

}//end class