<?php
class Media {

	public static $total;
	public static $type;
	public static $type_id;
	public static $limit;
	public static $media;
	
	public function get($query = false, $gallery_id = false) {

	$smarty = Template::$smarty;
	
	$ems_section = EMS::$section;

	$nav = Navigation::$go;
	
	$limit = Options::$option['rows'] * Options::$option['cols'];

	if(Media::$limit) { $limit = Media::$limit; }

	if(!$query) { 
		$query = "SELECT i,thumbnail,filename,url,folder,type_id,title FROM ip_media WHERE active = 1 ";
		if(Media::$type) { 
			$type_id = EMS::get_type_id(Media::$type); $query .= " AND type_id = '".$type_id."' "; 
		}
		if(Media::$type_id) {
			$query .= " AND type_id = '".Media::$type_id."' "; 
		}
		if(Options::$option['demo'] == 1) {
			$query .= " AND ip = '".EMS::ip()."' ";
		}
		$query .= " ORDER BY i DESC";
	}

	$select = MYSQL_QUERY($query);
	$total = MYSQL_NUM_ROWS($select); 

	if($total == 0) { Session::assignMessage('No media found','error'); }

	if($total > 0) {
	
	$pages = Pages::display($total, $limit);
	
	$query .= " LIMIT ".Pages::start('image').", ";

	if(!Media::$total) {
		if(Pages::$current_page > 0 || Options::$option['default_page'] == 'images') {
		} 
	}

	if(!$limit) { $limit = 15; }
	
	$query .= $limit; 

	$select = MYSQL_QUERY($query) or null;
	if(!Media::$total) { $total = MYSQL_NUM_ROWS($select); } else { $total = Media::$total; }

	while($s = MYSQL_FETCH_ARRAY($select)) {
		$folder = "";
		$id = $s['i'];
		
		$media_results = array();
		
		if($s['type_id'] == 0) { $type = "images"; }
		if($s['type_id'] == 1) { $type = "videos"; }
		if($s['type_id'] == 2) { $type = "flash";  }
		
		if($s['folder'] > 0){ $folder = $s['folder'] . '/'; }
		
		$results[$type][$id]['folder'] = $s['folder'];
		
		if($s['filename']) {
			$results[$type][$id]['filename'] = $s['filename'];
		} else {
			$results[$type][$id]['filename'] = Options::$site['default_images'] . "default-video.jpg";
		}
		$results[$type][$id]['fullsize'] = Options::$site['full']['url'] . $folder . $s['filename'];
		if($s['thumbnail']) { $results[$type][$id]['thumbnail'] = Options::$site['thumb']['url'] . $folder . $s['thumbnail']; } else { $results[$type][$id]['thumbnail'] = Options::$site['thumb']['url'] . $folder . $s['filename']; }
		$results[$type][$id]['tags'] = $s['keywords'];
		$results[$type][$id]['type_id'] = $s['type_id'];
		$results[$type][$id]['title'] = $s['title'];
		
		// video, fullsize = embed
		if($s['type_id'] > 0) { $results[$type][$id]['fullsize'] = EMS::domain() . 'ip-admin/view.php?i=' . $id; }
		
		if($s['url']) { $url = $s['url']; } else { $url = $id; }
		
		$results[$type][$id]['url'] = $nav['view'] . $url;
		$results[$type][$id]['share'] = urlencode( rtrim(EMS::domain(),'/') . $nav['view'] . $url);

		if($gallery_id) {
			$results[$type][$id]['url'] .= $nav['galleryView'] . $gallery_id;
		}
							
	} // end while select
	
	}//end total > 0

		if($smarty) {
			$smarty->assign('limit',$limit);
		//	$smarty->assign('images',$results['images']);
		//	$smarty->assign('videos',$results['videos']);
			$smarty->assign('pages',$pages);
			$smarty->assign('flash',$results['flash']);
			$smarty->assign('media',$results);
		}
		
		return $results;
	
	}
	
	
	
	public function type($type_id) {
		if($type_id == 0) {
			return "Images";
		}
		if($type_id == 1) {
			return "Videos";
		}
		if($type_id == 2) {
			return "Flash";
		}
		if($type_id == 3) {
			return "Audio";
		}
		if($type_id == 4) {
			return "Text";
		}
		if($type_id == 5) {
			return "Link";
		}
		if($type_id == 99 || !$type_id) {
			return "Mixed";
		}
	}

	
	
	public function delete($media) {
		if(!$media['id']) { return; }
		
		$select = MYSQL_QUERY("SELECT thumbnail,filename,uid,folder,type_id FROM ip_media WHERE i = '".$media['id']."'"); 
		while($s = MYSQL_FETCH_ARRAY($select)) { 
		
			$folder = "";
			if($s['folder'] > 0) { $folder = $s['folder'] . "/"; }
	
			$filename = $folder . $s['filename']; 
			$thumbnail = $folder . $s['thumbnail']; 
			$user_id = $s['uid'];
			$type_id = $s['type_id'];
			if(Security::userID() == $user_id || Security::loggedIn('admin')) {
			if($filename) {
				if(file_exists(Options::$site['full']['path']. $filename)) { unlink(Options::$site['full']['path']. $filename); } 
				if(file_exists(Options::$site['thumb']['path']. $thumbnail)) { unlink(Options::$site['thumb']['path']. $thumbnail); } 
			}
			$params['url'] = urlencode( EMS::domain() . EMS::$nav['location'] . $media['id'] );
			$params['remove'] = 1;
			$params['private_key'] = Options::$option['private_key'];
			$params['site_key'] = Options::$option['site_key'];
			$params['media_id'] = $media['id'];
			EMS::curl('http://easymediascript.com/remote/user_favorite',false,$params);

			MYSQL_QUERY("DELETE FROM ip_media WHERE i = '".$media['id']."'");
			MYSQL_QUERY("DELETE FROM ip_tags WHERE i = '".$media['id']."'");
			MYSQL_QUERY("DELETE FROM ip_tags_history WHERE media_id = '".$media['id']."'");
			MYSQL_QUERY("DELETE FROM ip_gallery WHERE i = '".$media['id']."'");
			MYSQL_QUERY("DELETE FROM ip_flagged WHERE media_id = '".$media['id']."'");
			MYSQL_QUERY("DELETE FROM ip_rating WHERE i = '".$media['id']."'");
			MYSQL_QUERY("DELETE FROM ip_comments WHERE i = '".$media['id']."'");
			EMS::site_count($type_id);
			Tags::update_tagcloud($media['id']);
			}
		}
	}//end delete




	/// SINGLE MEDIA ID
	public function grab($id) {
		$smarty = Template::$smarty;
		$nav = Navigation::$go;
		if($id) {
			$select = MYSQL_QUERY("SELECT * FROM `ip_media` WHERE url = '".$id."'");
			$count = MYSQL_NUM_ROWS($select); 
			if($count == 0) { $select = MYSQL_QUERY("SELECT * FROM `ip_media` WHERE i = '".$id."'"); $count = MYSQL_NUM_ROWS($select);  }
			if($count > 0) {
			
			$media = MYSQL_FETCH_ASSOC($select);

			
			$formats = explode(';',$media['formats']);
			if($formats){
				foreach($formats as $format_type) {
					$media['format'][$format_type] = Options::$site['full']['url'] . $media['filename'] . '.' . $format_type;
				}
			}

			$folder = "";
			if($media['folder'] > 0) { $folder = $media['folder'] . "/"; }
			if($media['uid'] > 1) { $user_details = Security::userDetails($media['uid']); $media['upload_by'] = $user_details['user']; }
			$media['filename'] = $folder . $media['filename'];
			
			if($media['youtube_id'] && !$media['embed']) { $media['embed'] = '<object width="640" height="385"><param name="movie" value="http://www.youtube.com/v/'.$media['youtube_id'].'&amp;hl=en_US&amp;fs=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/'.$media['youtube_id'].'&amp;hl=en_US&amp;fs=1" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="640" height="385"></embed></object>'; } 

			if($media['keywords']) { 
				$i=0;
				$keywords = explode(' ',$media['keywords']);
				if($keywords) {
					foreach($keywords as $keyword) {
						$i++;
						$media['keywords_list'] .= "<a href='".$nav['tag'] . $keyword ."'>" . str_replace('_',' ',$keyword) . "</a>";
						if($i<count($keywords)) { $media['keywords_list'] .= ", "; }
					}
				}
			}
			
			$media['url'] = $nav['view'] . $media['url'];  $media['src'] = Options::$site['full']['url'] . $media['filename'];
			//if($media['embed']) { $media['src'] = $media['embed']; }
			
			if($media['type_id'] == 0) { $media['type'] = 'image'; if(!$media['h']) { $media['h'] = Options::$option['min_image_height']; } if(!$media['w']) { $media['w'] = Options::$option['min_image_width']; } } 
			if($media['type_id'] == 1) { $media['type'] = 'video'; if(!$media['h']) { $media['h'] = Options::$option['min_video_height']; } if(!$media['w']) { $media['w'] = Options::$option['min_video_width']; } } 
			if($media['type_id'] == 2) { $media['type'] = 'flash'; if(!$media['h']) { $media['h'] = Options::$option['min_flash_height']; } if(!$media['w']) { $media['w'] = Options::$option['min_flash_width']; } }
			
			if(!$media['h']) { $media['h'] = '250'; }
			if(!$media['w']) { $media['w'] = '250'; }
			
			$media['share'] = urlencode( rtrim(EMS::domain(),'/') . $media['url']);

			$select_next = MYSQL_QUERY("SELECT i,folder,thumbnail,filename FROM ip_media WHERE i > '".$media['i']."' AND type_id = '".$media['type_id']."' ORDER BY i ASC LIMIT 1");
			while($n = MYSQL_FETCH_ASSOC($select_next)) {
				$folder = "";
				if($n['folder']) { $folder = $n['folder'] . '/'; }
				if($n['thumbnail']) { $next['filename'] = $n['thumbnail']; } else { $next['filename'] = $n['filename']; }
				$next['thumb'] = Options::$site['thumb']['url'] . $folder . $next['filename'];
				$next['url'] = $nav['location'] . $n['i'];
				$smarty->assign('next',$next);
			}
			
			$select_prev = MYSQL_QUERY("SELECT i,folder,thumbnail,filename FROM ip_media WHERE i < '".$media['i']."' AND type_id = '".$media['type_id']."' ORDER BY i DESC LIMIT 1");
			while($p = MYSQL_FETCH_ASSOC($select_prev)) {
				$folder = "";
				if($p['folder']) { $folder = $p['folder'] . '/'; }
				if($p['thumbnail']) { $prev['filename'] = $p['thumbnail']; } else { $prev['filename'] = $p['filename']; }
				$prev['thumb'] = Options::$site['thumb']['url'] . $folder . $prev['filename'];
				$prev['url'] = $nav['location'] . $p['i'];
				$smarty->assign('prev',$prev);
			}
			
			$media['domain'] = EMS::domain();
			
			MYSQL_QUERY("UPDATE ip_media SET views_all = views_all+1 WHERE i = '".$media['i']."'");
			
			Media::$media = $media; // used for admin dashboard
			
			return EMS::ss($media);
			}
		}
	
	}//end Media::grab()
	
	
	public function grab_by_ids($id_array) {
		if($id_array) {
			foreach($id_array as $id) {
				$select = MYSQL_QUERY("SELECT * FROM ip_media WHERE i = '$id'");
				while($r = MYSQL_FETCH_ARRAY($select)) {
					$folder = "";
					if($r['folder'] > 0) { $folder = $r['folder'] . '/'; }
					$results[$id]['type_id'] = $r['type_id'];
					$results[$id]['id'] = $id;
					$results[$id]['title'] = EMS::ss($r['title']);
					$results[$id]['tags'] =  EMS::ss($r['keywords']);
					$results[$id]['view_url'] = rtrim(EMS::domain(),'/') . Navigation::$go['view'] . $r['url'];
					$results[$id]['full_url'] =   Options::$site['full']['url'] . $folder . $r['filename'];
					$results[$id]['thumb_url'] =  Options::$site['thumb']['url'] . $folder . $r['thumbnail'];
				}
			}
			return $results;
		}
	}
	
	
	public function get_image_file($i) {
		$select = Database::sql_row('images',"WHERE i = '".$i."'",'filename,folder');
		if($select) {
			if($select['folder'] > 0) { $folder = $select['folder']; }
			return Options::$site['full']['url'] . $folder . $select['filename'];
		}
	}



	public function fields($media = false) {
		$smarty = Template::$smarty;
	
		$selectFields = MYSQL_QUERY("SELECT field_namespace,field_name,field_id FROM ip_fields WHERE active = 1") or null;
		if($selectFields) {
			while($f = MYSQL_FETCH_ARRAY($selectFields)) {
			$fieldInput[$f['field_namespace']] = $f['field_name'];
			$fieldIDArray[$f['field_namespace']] = $f['field_id'];
			}
			if($smarty) { $smarty->assign('fieldinput',$fieldInput); }
		}
	
		if($media && $selectFields) {
		
			$select = MYSQL_QUERY("SELECT field_name,field_value FROM ip_fields_values WHERE i = '".$media['i']."'");
			while($s = MYSQL_FETCH_ARRAY($select)) {
				$field[$s['field_name']] = $s['field_value'];
				$fields[$fieldInput[$s['field_name']]] = $s['field_value'];
			}
			if($smarty) {
				$smarty->assign('field',$field); // array singular
				$smarty->assign('fields',$fields); // array multiple
			}
		
		
		}
	
	
	}


	function removeAll() {
	
		$select = MYSQL_QUERY("SELECT filename,folder FROM ip_media"); 
		while($s = MYSQL_FETCH_ARRAY($select)) { 
			$filename = $s['filename']; 
			$thumbnail = $s['thumbnail'];
			if(file_exists(Options::$site['full']['path']. $filename)) { unlink(Options::$site['full']['path']. $filename); } 
			if(file_exists(Options::$site['thumb']['path']. $filename)) { unlink(Options::$site['thumb']['path']. $thumbnail); } 
		} 
		
		$select = MYSQL_QUERY("SELECT thumbnail,filename,folder FROM ip_media"); 
		while($s = MYSQL_FETCH_ARRAY($select)) { 
			$folder = "";
			if($s['folder'] > 0) { $folder = $s['folder']; }
			$filename = $folder . $s['filename']; 
			$thumbnail= $folder . $S['thumbnail'];
			if(file_exists(Options::$site['full']['path']. $filename) && !is_dir(Options::$site['full']['path']. $filename)) { unlink(Options::$site['full']['path']. $filename); } 
			if(file_exists(Options::$site['thumb']['path']. $filename) && !is_dir(Options::$site['thumb']['path']. $thumbnail)) { unlink(Options::$site['thumb']['path']. $thumbnail); }  
		} 
	
		MYSQL_QUERY("TRUNCATE ip_tags"); 
		MYSQL_QUERY("TRUNCATE ip_favorites"); 
		MYSQL_QUERY("UPDATE ip_sitestats SET val = 0 WHERE namespace = 'total_images'"); 
		MYSQL_QUERY("TRUNCATE ip_media");
		MYSQL_QUERY("TRUNCATE ip_autopost");
		MYSQL_QUERY("TRUNCATE ip_autopost_login");
		MYSQL_QUERY("TRUNCATE ip_blog");
		MYSQL_QUERY("TRUNCATE ip_blog_tags");
		MYSQL_QUERY("TRUNCATE ip_comment_flag");
		MYSQL_QUERY("TRUNCATE ip_comment_rating");
		MYSQL_QUERY("TRUNCATE ip_category");
		MYSQL_QUERY("TRUNCATE ip_fields");
		MYSQL_QUERY("TRUNCATE ip_fields_values");
		MYSQL_QUERY("TRUNCATE ip_rating");
		MYSQL_QUERY("TRUNCATE ip_tagcloud");
		MYSQL_QUERY("TRUNCATE ip_session");
		MYSQL_QUERY("TRUNCATE ip_ads");
		MYSQL_QUERY("TRUNCATE ip_ad_locations");
		MYSQL_QUERY("TRUNCATE ip_users");
		MYSQL_QUERY("TRUNCATE ip_import_queue");
		MYSQL_QUERY("TRUNCATE ip_gallery");

	
	} // end removeAll
	
	
	function getById($media_id_array, $media_type = false) {
		
		if(is_array($media_id_array)) {

		$selectImages = "SELECT * FROM ip_media";
		$selectVideos = "SELECT * FROM ip_media";
		
			foreach($media_id_array as $media_id) {
				if($count == 0) { $query .= " WHERE i = '".$media_id."' "; } else { $query .= " OR i = '".$media_id."' "; }
				$count++;
			}
				
		$selectImages .= $query;
		$selectVideos .= $query;
		
		$sql['images'] = MYSQL_QUERY($selectImages);
		$sql['videos'] = MYSQL_QUERY($selectVideos);
		
		while($i = MYSQL_FETCH_ASSOC($sql['images'])) {
			$results['images'][$i['i']] = $i;
		}
			
		while($v = MYSQL_FETCH_ASSOC($sql['videos'])) {
			$results['videos'][$v['i']] = $v;
		}
		
		return $results;
		}
	
	}//end get
	
	function formValues($media_array) {
	
		if(is_array($media_array)) {
			foreach($media_array as $type => $array) {
				foreach($array as $id => $values) {
					foreach($values as $value_id => $value) { ?>
<input type="hidden" class="<?php echo $value_id?>" rel="<?php echo $id?>" name="media[<?php echo $type?>][<?php echo $id?>][<?php echo $value_id?>]" value="<?php echo $value?>" />
					<?php
					}
				}
			}
		}
	
	} //end formValues
	
	/*
	function getThumbs($media_array) {
		if(is_array($media_array)) { 
			foreach($media_array as $type => $array) {
				foreach($array as $id => $values) {
					if($media_array[$type][$id]['filename']) {
						echo '<a class="populate" rel="' . $id . '" style="cursor:pointer"><img src="'.Options::$site['thumb']['url'] . $media_array[$type][$id]['filename']. '" /></a>';
					}
				}
			}
		}
	
	}//end getThumb
//*/
}