<?php 
class Pages {

	public static $current_page;
	public static $limit;
	/*
	public function __construct($current_page = false) {
		if(!$current_page) { $current_page = $_GET['page']; } 
		Pages::$current_page = $current_page;
		Options::$option['user_images_per_page'] = Options::$option['cols'] * Options::$option['rows'];
		if(Options::$option['user_images_per_page'] == 0) { Options::$option['user_images_per_page'] = 10; }
	}
	//*/
	public function init() {
		Pages::$current_page = $_GET['page'];
		Options::$option['user_images_per_page'] = Options::$option['cols'] * Options::$option['rows'];
		if(Options::$option['user_images_per_page'] == 0) { Options::$option['user_images_per_page'] = 10; }
		if(!Pages::$current_page && Options::$option['default_page'] == 'browse') { Pages::$current_page = 1; }
	}

	public function start($type=false) {
		if(Media::$limit) {
			Pages::$limit = Media::$limit;
		} else {
			if($type == 'blog') {
				Pages::$limit = Options::$option['blog_posts_per_page'];
			} else {
				Pages::$limit = Options::$option['user_images_per_page'];
			}
		}
		if(Pages::$current_page > 0) {
			return ((Pages::$current_page * Pages::$limit) - Pages::$limit);
		} else { 
			if(Options::$option['frontpage_images'] > 0) {
				Options::$option['user_images_per_page'] = Options::$option['frontpage_images'];
			}
			if(Options::$option['frontpage_videos'] > 0) {
				Options::$option['user_videos_per_page'] = Options::$option['frontpage_videos'];
			}
		return 0;
		
		}
	}
	//end start


	public function display($total_results, $amount_per_page = 5) {
		
		$smarty = Template::$smarty;
		$nav = Navigation::$go;

		$ems_pageMove = Options::$option['page_display'] / 2;
		$ems_page['current'] = Pages::$current_page;

		$total['pages'] = ceil($total_results / $amount_per_page);

		if($total['pages'] > 0) {
		// previous pages
		if(Pages::$current_page > 1) {
		for($ems_pageNumber=Pages::$current_page-$ems_pageMove;$ems_pageNumber<Pages::$current_page;$ems_pageNumber++) {
		if($ems_pageNumber > 0) {
		$ems_page['prev'][] = $ems_pageNumber;
		}
		}
		$ems_page['prev_page'] = Pages::$current_page - 1;
		}
		
		// next pages
		if(Pages::$current_page < $total['pages']) {
		for($ems_pageNumber=Pages::$current_page+1;$ems_pageNumber<(Pages::$current_page + $ems_pageMove);$ems_pageNumber++) {
		if($ems_pageNumber < $total['pages']+1) {
		$ems_page['next'][] = $ems_pageNumber;
		}
		}
		$ems_page['next_page'] = Pages::$current_page + 1;
		}
		
		
		}//end total pages
		
		//echo "<!-- "; print_r($total); echo " -->"; 
		// $ems_page['current'], $ems_page['next'], $ems_page['prev']

		$ems_pages['page'] = $ems_page;
		$ems_pages['total'] = $total_results;

		if($smarty) {
		$smarty->assign('page',$ems_page);
		// $total['images'], $total['pages']
		$smarty->assign('total',$total); 
		}

		return $ems_pages;
	
	}//end display



	public function html($current_page = 1, $total_pages = 1, $page_buffer = 5) { // page buffer = number of pages on either side of current page ... i.e. 4 page buffer =   1 2 3 4 (5) 6 7 8 9

		/////SHOW PAGES (BETA) /////
		if($current_page < $page_buffer) {
		$ems_pageend = $page_buffer;
		} else {
		$ems_pageend = $current_page + $page_buffer;
		}
		
		/////////////////////////bottom nav
		$ems_pagebegin = $current_page - $page_buffer;
		if($ems_pagebegin <= 0) {
			$ems_pagebegin = 1;
		}
		
		//$ems_pageend = $ems_page + $ems_pagemove;
		
			if($ems_pageend > $total_pages) {
			$ems_pageend = $total_pages;
		}
		?>
		<div class="ems-pagebar">
		<?php if($current_page > 1){ $prev = ($current_page - 1);?>
		<a href="?page=1">&laquo;</a>
		<?php } else { ?>
		<i>&laquo;</i>
		<?php } ?>
		<?php if($current_page > 1){ $prev = ($current_page - 1);?>
		<a href="?page=<?php echo $prev;?>">&lt;</a>
		<?php } else { ?>
		<i>&lsaquo;</i>
		<?php } ?>
		<?php for($x=$ems_pagebegin;$x < $current_page;$x++) {?>
		<a href="?page=<?php echo $x;?>"><?php echo $x;?></a>
		<?php } ?>
		<i><?php echo $current_page;?></i>
		<?php for($y=$current_page+1;$y <= $ems_pageend;$y++) {?>
		<a href="?page=<?php echo $y;?>"><?php echo $y;?></a>
		<?php } ?>
		<?php if($current_page < $total_pages){ $next = ($current_page + 1); ?>
		<a href="?page=<?php echo $next?>">></a>
		<?php } else { ?>
		<i>&rsaquo;</i>
		<?php } ?>
		<?php if($current_page < $total_pages){ $next = ($current_page + 1); ?>
		<a href="?page=<?php echo $total_pages?>/">&raquo;</a>
		<?php } else { ?>
		<i>&raquo;</i>
		<?php } ?>
		</div>
		<?php
		}//end function pages()



} // end class