<?php
class Upload {

public function curl_file_get_contents($URL)
    {
        $c = curl_init();
        $userAgent = 'Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 1.1.4322)';
		curl_setopt($c, CURLOPT_USERAGENT, $userAgent);
		curl_setopt($c, CURLOPT_FOLLOWLOCATION, true);
        curl_setopt($c, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($c, CURLOPT_URL, $URL);
        $contents = curl_exec($c);
        curl_close($c);

        if ($contents) return $contents;
            else return false;
    }
    
function recursive_mkdir($path, $mode = 0777) {
    $dirs = explode(DIRECTORY_SEPARATOR , $path);
    $count = count($dirs);
    $path = '/';
    for ($i = 0; $i < $count; ++$i) {
        $path .= DIRECTORY_SEPARATOR . $dirs[$i];
        if (!is_dir($path) && !mkdir($path, $mode)) {
            return false;
        }
    }
    return true;
}



function avatar($pic) {

	if(Security::userID() && $pic) {
		$avatar_folder = ROOT. DOC_ROOT . 'ip-user/avatars';
		
		// make avatar folder
		Upload::recursive_mkdir($avatar_folder);
		
		$ext = EMS::extension($pic['name']);
		$fullsize = Security::userID() . "-temp" . $ext;
		
		// uploading full size temporarily, then resizing to avatar then deleting full size (conserve space)
		copy($pic['tmp_name'], $avatar_folder . "/" . $fullsize);
		
		$thumb = PhpThumbFactory::create($avatar_folder . "/" . $fullsize);
		$thumb->adaptiveResize(Options::$option['thumb_width'],Options::$option['thumb_height'])->save($avatar_folder . "/" . Security::userID() . ".jpg",'jpg');
		unlink($avatar_folder . "/" . $fullsize);
		
		MYSQL_QUERY("UPDATE ip_users SET avatar = 1 WHERE id = '".Security::userID()."'");
	}
}

function check_requirements($bypass = false) {
	if(Options::$site['full']['path'] && Options::$site['thumb']['path'] && Options::$option['thumb_height'] && Options::$option['thumb_width']) { } else { exit(0); }
	if(Security::loggedIn() || Security::loggedIn('admin') || Options::$option['public_upload'] || $bypass) { } else { exit(0); }
}


public function createFolder() {
	$folder = date('Y/m/d');
	Upload::recursive_mkdir(Options::$site['full']['path'].$folder . '/');
	Upload::recursive_mkdir(Options::$site['thumb']['path'].$folder . '/');
	return $folder;
}


public function filename($details) {

	$filename_count = false;
	
	if(!$details['base_name']) { $details['base_name'] = EMS::filename($details['filename']); }
	
	while(true) {
		if(Database::sql_total('media','WHERE filename = "'.$details['base_name'] . $filename_count . $details['ext'].'"','i') == 0) { 
			$details['filename'] = $details['base_name'] . $filename_count . $details['ext']; 
			break; 
		} else { 
			if(!$filename_count) { 
				$filename_count = 0; 
			} 
			$filename_count++; 
		}
	}
	
	return $details['filename'];

}



public function video($details) {

	$details['id'] = Upload::id($details);
	
	$details['folder'] = Upload::createFolder();
	$details['ext'] = EMS::extension($details['filename']);
	$details['filename'] = Upload::filename($details);
	$details['tag_url'] = Upload::url($details);
	
	if($details['filename']) {
	if(copy($details['temp'],Options::$site['full']['path']. $details['folder'] . '/' . $details['filename'])) {
	
	
	$thumbnail_results = Video::ffmpeg_image($details);
	
	if(!$thumbnail_results['error']) {
		$details['thumbnail'] = $thumbnail_results['thumbnail'];
	} else {
		$results['error'] = $thumbnail_results['error'];
	}

	if($details['id'] > 0 && !$results['error']) {
	
	Video::convert($details, 'mp4');

	$thumb = PhpThumbFactory::create(Options::$site['full']['path']. $details['folder'] . '/' . $details['filename'] . '.jpg');
	$thumb->adaptiveResize(Options::$option['thumb_width'],Options::$option['thumb_height'])->save(Options::$site['thumb']['path']. $details['folder'] . '/' . $details['filename'] . '.jpg');
	
	// insert INTO ip_database
	MYSQL_QUERY("INSERT INTO ip_media(i,filename,w,h,s,type_id,active,url,uid,ip,original_filename,uploadKey,thumbnail,description,nws,source,title,keywords,folder) VALUES('".$details['id']."','".$details['filename']."','".$details['width']."','".$details['height']."','".$details['size']."','1','".Options::$option['auto_approve']."','".$details['tag_url']."','".Security::userID()."','".EMS::ip()."','$details[original_filename]','$uploadKey','".$details['thumbnail']."','".EMS::e($details['description'])."','".Options::$option['worksafe_default']."','$source','".EMS::e($details['title'])."','".EMS::e($details['keywords'])."','".$details['folder']."')");
	
	$results['debug'] = 'SQL input';
	
	} else {
		if(!$results['error']) {
			$results['error'] = 'Could not upload video. Please make sure the post filesize is enough and that your directories are writable.';
		}
	}
	} else {
		$results['error'] = 'Error uploading video, could not copy file to upload folder.';
	}
	
	} else {
		$results['error'] = 'Error uploading video, no filename specified.';
	}

	return $results;

}

public function id($details) {
	if(!$details['id']) { $details['id'] = time(); }
	while(true) {
		if(Database::sql_total('media','WHERE i = "'.$details['id'].'"','i') == 0) { break; } else { $details['id']++; }
	}
	return $details['id'];
}

public function url($details) {

	$count = false;
	$details['tag_url'] = EMS::clean_url($details['filename']);
	
	while(true) {
		if(Database::sql_total('media','WHERE url = "'.$details['tag_url'].$count.'"','i') == 0) { 
			break; 
		} else { 
			if(!$count) { $count = 1; } else { $count++; } 
		}
	}
	$details['tag_url'] .= $count;
	
	return $details['tag_url'];
}


// main upload image function
public function image($details, $do_upload = true) {
	
	$is_image = false;
			
	$uploadKey = $details['key'];
	$copy = $details['copy'];
	$catid = $details['gallery_id'];
	
	$details['id'] = Upload::id($details);
	
	
	
	Upload::check_requirements(true);	
	
	$details['ext'] = EMS::extension($details['filename']);
	//$details['base_name'] = rtrim($details['filename'],$details['ext']);

	if(!$details['original_filename']) { $details['original_filename'] = $details['filename']; }
	
	$details['folder'] = Upload::createFolder();
	
	// import
	if($details['url']) {
		//$details['ext'] = strrchr( $details['url'] , "." );
		if(!$details['ext']) { $details['ext'] = '.jpg'; }
		$details['temp'] = Options::$site['full']['path']. $details['folder'] . '/' . $details['id']."-temp".$details['ext'];
		$details['filename'] = $details['id'].$details['ext'];
		file_put_contents($details['temp'], Upload::curl_file_get_contents($details['url']));
	}

	if($details['temp']) { 
		$imageExtract = getimagesize($details['temp']);
		$details['type'] = $imageExtract['mime'];
		preg_match('/image/',$details['type'],$is_image);
	
		if($is_image) {
			$details['size'] = filesize($details['temp']);
			$imageSize = getimagesize($details['temp']);
			list($details['width'], $details['height'], $details['type_id'], $details['attr']) = $imageSize; 
			$details['type'] = $imageSize['mime'];
		}
	}

	if(!$is_image) { return false; }
		
		
	$extFix = explode('?',$details['ext']);
	$details['ext'] = $extFix[0];
	
	$details['filename'] = Upload::filename($details);
	$details['tag_url'] = Upload::url($details);
	
	if(!$details['uploaded']) {
		copy($details['temp'],Options::$site['full']['path']. $details['folder'] . '/' . $details['filename']);
	}
	
	if(!$details['filename']) {
		$details['filename'] = $details['id'] . $details['ext'];
	}
	
	if(!$details['type'] || !$details['width'] || !$details['height']) { 
		$imageSize = getimagesize(Options::$site['full']['path']. $details['folder'] . '/' . $details['filename']);
		list($details['width'], $details['height'], $details['type_id'], $details['attr']) = $imageSize; 
		$details['type'] = $imageSize['mime']; 
	}
	if(!$details['size']) {
		$details['size'] = filesize($details['temp']);
	}
	
	if($details['local']) { unlink($details['local']); }

	$thumb = PhpThumbFactory::create(Options::$site['full']['path']. $details['folder'] . '/' . $details['filename']);
	$thumb->adaptiveResize(Options::$option['thumb_width'],Options::$option['thumb_height'])->save( Options::$site['thumb']['path']. $details['folder'] . '/' . $details['filename']);
	
	if(Options::$option['watermark']) {
		$fullImage = PhpThumbFactory::create(Options::$site['full']['path']. $details['folder'] . '/' . $details['filename']);
		$fullImage->createWatermark(ROOT.'ip-watermark.png')->save(Options::$site['full']['path']. $details['folder'] . '/' . $details['filename']);
	} 
	if($_POST['token']) { $details['upload_key'] = $_POST['token']; }
	$source = $details['url']; 
	
	// insert INTO ip_database
	MYSQL_QUERY("INSERT INTO ip_media(i,filename,thumbnail,w,h,s,type_id,active,url,uid,ip,original_filename,uploadKey,description,nws,source,title,keywords,folder) VALUES('".$details['id']."','".$details['filename']."','".$details['filename']."','".$details['width']."','".$details['height']."','".$details['size']."','0','".Options::$option['auto_approve']."','".$details['tag_url']."','".Security::userID()."','".EMS::ip()."','$details[original_filename]','$details[upload_key]','".EMS::e($details['description'])."','".Options::$option['worksafe_default']."','$source','".EMS::e($details['title'])."','".EMS::e($details['keywords'])."','".$details['folder'] ."')");
	
	MYSQL_QUERY("UPDATE ip_sitestats SET val = val + 1 WHERE namespace = 'total_images'");
	$results['message'] = "Complete";
	$results['id'] = $details['id'];
	$results['filename'] = $details['filename'];

	// clean up temp image file
	if($details['url']) { if(file_exists($details['temp'])) { unlink($details['temp']); } }
	
	return $results;
	
}//end function()





	public function is_ani($filename)
	{
	        $filecontents=file_get_contents($filename);
	
	        $str_loc=0;
	        $count=0;
	        while ($count < 2) # There is no point in continuing after we find a 2nd frame
	        {
	
	                $where1=strpos($filecontents,"\x00\x21\xF9\x04",$str_loc);
	                if ($where1 === FALSE)
	                {
	                        break;
	                }
	                else
	                {
	                        $str_loc=$where1+1;
	                        $where2=strpos($filecontents,"\x00\x2C",$str_loc);
	                        if ($where2 === FALSE)
	                        {
	                                break;
	                        }
	                        else
	                        {
	                                if ($where1+8 == $where2)
	                                {
	                                        $count++;
	                                }
	                                $str_loc=$where2+1;
	                        }
	                }
	        }
	
	        if ($count > 1)
	        {
	                return(true);
	
	        }
	        else
	        {
	                return(false);
	        }
	}//end ani function
	
	
	
	function check_extension($array) {
		if($array) {
			foreach($array as $value) { 
				if($match) { 
					$ext = ltrim(strtoupper(strrchr( $value , "." )),'.'); 
					if($ext == 'JPG' || $ext == 'GIF' || $ext == 'PNG' || $ext == 'JPEG') { 
						$valid_array[] = $value; 
					} 
					$ext = false; 
				} 
			}
			return $valid_array;
		}
	}//end function


}