<?php
class Youtube {


	function import($video) {
		$folder = Upload::createFolder() . "/";
		$video['youtube_id'] = Youtube::set_id($video);
		if($video['youtube_id']) {
			$video['thumbnail'] = Youtube::thumbnail($video);
			$results = Youtube::details($video);
			if($results) { $video_results = array_merge($video,$results); } else { $video_results = $video; }
			return $video_results;
		}
	}

	function id($video_link) {
		preg_match('/http:\/\/www.youtube.com\/watch\?v=(.*)/',$video_link,$linkMatch);
		if(!$linkMatch) { preg_match('#http://www.youtube.com/v/(.*)#',$video_link,$linkMatch); }
		if($linkMatch) {
		$id = explode('&',$linkMatch[1]);
			if($id[0]) {
				return $id[0];
			} // end id[0]
		} else { // else linkMatch
			return false;
		} // end linkMatch
	
	}//end function
	
	
	
	function thumbnail($video) {
		
		if($video['youtube_id']) {
				$thumbSrc = "http://img.youtube.com/vi/".$video['youtube_id']."/0.jpg";
				$thumbnail = $video['id'].".jpg";

				if(!$thumbFile && file_get_contents($thumbSrc)) { 
					file_put_contents(Options::$site['full']['path']. $video['folder'] . "/" . $thumbnail, file_get_contents($thumbSrc)); 
					$thumb = PhpThumbFactory::create(Options::$site['full']['path']. $video['folder'] . "/" . $thumbnail);
					$thumb->adaptiveResize(Options::$option['thumb_width'],Options::$option['thumb_height'])->save(Options::$site['thumb']['path']. $video['folder'] . "/" . $thumbnail);
				}
				return $thumbnail;
		}
	
	}
	
	
	function details($video) {
		if($video['youtube_id']) {
			$output = EMS::curl('http://www.youtube.com/watch?v='.$video['youtube_id']);
			if($output) {
				preg_match('#<meta name="title" content="(.*?)">#',$output,$titleMatch);
				if($titleMatch) {
					preg_match('#<p id="eow-description" >(.*?)</p>#msi',$output,$descriptionMatch);
					preg_match('#<meta name="keywords" content="(.*?)">#',$output,$keywordMatch);
					if(!$video['description']) { $video['description'] = html_entity_decode($descriptionMatch[1]); }
					if(!$video['keywords']) { $video['keywords'] = str_replace(',','',html_entity_decode($keywordMatch[1])); }
					if(!$video['title']) { $video['title'] = html_entity_decode($titleMatch[1]); }
					if(!$video['url']) { $video['url'] = EMS::clean_url(html_entity_decode($titleMatch[1])); }
				}
			}
			//echo "<textarea cols=100 rows=50>" . htmlspecialchars($output) . "</textarea>"; 
			//print_r($titleMatch);
			//echo "<div id=youtube_id>".'http://www.youtube.com/watch?v='.$video['youtube_id'];
			return $video;
		}
	}//end function youtubeDetails




}