<?php

// $l (username,password)
// $media (keywords,domain,full_url,title)

$name = "Tumblr";
//$requirements['username']['name'] = "Username";
//$requirements['password']['name'] = "Password";
$requirements['consumer_token'] = array('name' => 'Consumer Token', 'description' => 'your Tumblr application consumer key');
$requirements['consumer_secret'] = array('name' => 'Consumer Secret');
$requirements['oauth'] = array('hidden' => true);

$requestTokenURL = 'http://www.tumblr.com/oauth/request_token';
$authorizeURL    = 'http://www.tumblr.com/oauth/authorize';
$accessTokenURL  = 'http://www.tumblr.com/oauth/access_token';

$callbackURL     = $_SESSION['callback']; # Change this to the URL of this script

if($l['consumer_token'] && $l['consumer_secret']) {

xhttp::load('profile,oauth');
$tumblr = new xhttp_profile();
$tumblr->oauth($l['consumer_token'], $l['consumer_secret']);
$tumblr->oauth_method('get'); // For compatability, OAuth values are sent as GET data

if($oauth_verify) {

    # STEP 2: Application gets a Request Token from Tumblr
    $data = array();
    $data['post']['oauth_callback'] = $callbackURL;
    $response = $tumblr->fetch($requestTokenURL, $data);

    if($response['successful']) {
        $var = xhttp::toQueryArray($response['body']);
        $_SESSION['oauth_token']        = $var['oauth_token'];
        $_SESSION['oauth_token_secret'] = $var['oauth_token_secret'];
        Autopost::$success = true;

        # STEP 3: Application redirects the user to Tumblr for authorization.
        header('Location: '.$authorizeURL.'?oauth_token='.$_SESSION['oauth_token'], true, 303);
        die();
		# STEP 4: (Hidden from Application)
		# User gets redirected to Tumblr.
		# Tumblr asks if she wants to allow the application to have access to her account.
		# She clicks on the "Allow" button.

    } else {
       Autopost::$error = 'Could not get token. Response from server: ' . $response['body'];
    }


}


if($oauth_callback) {

    $data = array();
    $data['post']['oauth_verifier'] = $_GET['oauth_verifier'];

    $tumblr->set_token($_SESSION['oauth_token'], $_SESSION['oauth_token_secret']);
    $response = $tumblr->fetch($accessTokenURL, $data);

    if($response['successful']) {

	    # STEP 7: Application now has access to the user's data,
	    # for reading protected entries, sending a post updates.
        $var = xhttp::toQueryArray($response['body']);
		/*
        $_SESSION['user_id'] = $var['user_id'];
        $_SESSION['screen_name'] = $var['screen_name'];
        $_SESSION['oauth_token'] = $var['oauth_token'];
        $_SESSION['oauth_token_secret'] = $var['oauth_token_secret'];
        $_SESSION['loggedin'] = true;
        */
        Autopost::$success = true;
        $results['form']['oauth_token'] = $var['oauth_token'];
        $results['form']['oauth_token_secret'] = $var['oauth_token_secret'];

    } else {
    	Autopost::$error = 'Unable to sign in. Response from server: ' . $response['body'];
    }


}



if($run) {

    $tumblr->set_token($l['oauth_token'], $l['oauth_token_secret']);

    $data = array();
        $data['post'] = array(
    	'type'   => 'photo',
    	'source'   => $media['src'],
    	'generator' => 'easymediascript.com',
    	);

    $response = $tumblr->fetch('http://www.tumblr.com/api/write', $data);
    

}

}